clear all

analysetrinn = menu('Analysetrinn', ...
	'Analyse','Plot beregnet armering', 'Dimensjonering');

[~,CONNECT_S_I,CONNECT_B_DAM_B,KM_LO1,KM_LO2,L,ANA,P,R,G]=DS();
if analysetrinn ==1
[As_dim] = SW();
end
KM_ = KM_LO2;
As_filename = ['C:\MATLAB\S_As_' ANA '.mat'];

%Gjr om krefter og momenter til enheten kN og kNm
KM_(:,2:7) = KM_(:,2:7)./1000; 
KM_real = KM_;
%Endrer retningen p momenter for  stemme med iterasjonsmetoden
KM_(:,5) = -1*KM_(:,5);           
KM_(:,6) = -1*KM_(:,6);
KM_(:,7) = -1*KM_(:,7);

fck = 35;       %Betongkvalitet
c1  = 65;       %Overdekning vannside
c2  = 75;       %Overdekning luftside

n_el    = length(KM_);
n_noder = 1350;
a_start = 1;
a_end   = n_el;

UR_         = zeros(n_el,5);
UR_(:,1)    = 1:n_el;
As_         = zeros(n_el,5);
As_(:,1)    = 1:n_el;
epss_       = zeros(n_el,5);
epss_(:,1)  = 1:n_el;
sigs_       = zeros(n_el,5);
sigs_(:,1)  = 1:n_el;
Maxdiff_    = zeros(n_el,6);

CO      = 13867;
dat_filename = ['C:\DIANA\DS\' ANA '\DS_' ANA '.dat'];
DAT          = fopen(dat_filename,'r');
COORD_   = textscan(DAT,'%f %f %f %f',CO,'HeaderLines',9);
COORD    = cell2mat(COORD_);
X = COORD(1:n_noder,3);
Y = COORD(1:n_noder,4)+590;

k=1;
for j=0:43
for i=1+j*30:1:29+j*30
    X_el(k,1) = mean([ X(i) X(i+1) X(i+31) X(i+30) ]);
    Y_el(k,1) = mean([ Y(i) Y(i+1) Y(i+31) Y(i+30) ]);
    L_el(k,1) = mean([ L(i) L(i+1) L(i+31) L(i+30) ]);
    k=k+1;
end
end

if analysetrinn == 1
for a=a_start:a_end
 As_i = As_dim(a,:);
for i=1:4
[epss_i,sigs_i,UR_i,Maxdiff]=itmet_all2(As_i,KM_(a,:),L_el(a),fck,c1,c2);


for j=1:4
    if epss_i(1,j) >= 0.0035
        As_i(1,j)=As_i(1,j) + i*1000;
    elseif epss_i(1,j) < 0.0035
        k=k+1;
    end
end

epss_(a,2:5)  = epss_i;
sigs_(a,2:5)  = sigs_i;
As_dim(a,1:4) = As_i;
Maxdiff_(a,:) = Maxdiff;

if k == 4
    break
end

end
disp(a)
disp(As_i)
end
save(As_filename)
end


if analysetrinn == 2
load(As_filename)
As_dim(As_dim<=1340) = 0.0001;
Asc_x1 = As_dim(:,1);
Asc_y1 = As_dim(:,2);
Asc_x2 = As_dim(:,3);
Asc_y2 = As_dim(:,4);

%Plot
%mycmap = get(Vert,'Colormap');
%save('C:\MATLAB\MyColormaps','mycmap')
load('C:\MATLAB\MyColormaps','mycmap')
s_f = 250;

Hor=figure(1);
subplot(2,1,1)
c=Asc_x2;
s=Asc_x2./s_f;
scatter(X_el,Y_el,s,c,'fill')
cb=colorbar;
set(Hor,'Colormap',mycmap)
caxis([0 15000])
set(cb,'YTick',[0 1000 2000:2000:16000])
grid on;
title('Horisontal lengdearmering vannside')
ylabel('Kotehyde [m]')
axis([-73 61 590 640])

subplot(2,1,2)
c=Asc_x1;
s=Asc_x1./s_f;
scatter(X_el,Y_el,s,c,'fill')
cb=colorbar;
set(Hor,'Colormap',mycmap)
caxis([0 15000])
set(cb,'YTick',[0 1000 2000:2000:16000])
grid on;
title('Horisontal lengdearmering luftside')
ylabel('Kotehyde [m]')
axis([-73 61 590 640])

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1000 800]/r);
Hor_printfilename = ['C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\' ANA '_Hor_As.png'];
print(gcf,'-dpng',sprintf('-r%d',r),Hor_printfilename);


%...

Vert=figure(2);
subplot(2,1,1)
c=Asc_y2;
s=Asc_y2./s_f;
scatter(X_el,Y_el,s,c,'fill')
cb=colorbar;
set(Vert,'Colormap',mycmap)
axis([-73 61 590 640])
caxis([0 15000])
set(cb,'YTick',[0 1000 2000:2000:16000])
grid on;
title('Vertikal lengdearmering vannside')
ylabel('Kotehyde [m]')

subplot(2,1,2)
c=Asc_y1;
s=Asc_y1./s_f;
scatter(X_el,Y_el,s,c,'fill')
cb=colorbar;
axis([-73 61 590 640])
caxis([0 15000])
set(cb,'YTick',[0 1000 2000:2000:16000])
grid on;
title('Vertikal lengdearmering luftside')
ylabel('Kotehyde [m]')

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1000 800]/r);
Vert_printfilename = ['C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\' ANA '_Vert_As.png'];
print(gcf,'-dpng',sprintf('-r%d',r),Vert_printfilename);

end



if analysetrinn == 3

load(As_filename)

X_tmp = zeros(4,1);
Y_tmp = zeros(4,1);
A_el=zeros(1276,1);
ARM_dim =zeros(1276,8);
k=1;
for j=0:43
for i=1+j*30:1:29+j*30
X_tmp=[ X(i) X(i+1) X(i+31) X(i+30) ]';
Y_tmp=[ Y(i) Y(i+1) Y(i+31) Y(i+30) ]';
A_el(k,1)=polyarea(X_tmp,Y_tmp);
k=k+1;
end
end

ARM_dim(:,1:4) = As_dim;
for i=1:4
ARM_dim(:,i+4)   = ARM_dim(:,i).*A_el; 
end

for i=5:8
ARM_tot(1,i-4) = sum(ARM_dim(:,i))*1000*7870*10^-9*10^-3;  % [tonn]
ARM_tot(2,i-4) = ARM_tot(1,i-4)*1.4*1.13;  % [tonn] inkl. riss og omfar
end



end
