function [epss_i,sigs_i,UR_i,Maxdiff]=itmet_all2(As_i,KM_,L,fck,c1,c2)

Asx1 = As_i(1);
Asy1 = As_i(2);
Asx2 = As_i(3);
Asy2 = As_i(4);

Nx   =    KM_(1,2);
Ny   =    KM_(1,3);
Nxy  =    KM_(1,4);
Mx   =    KM_(1,5);
My   =    KM_(1,6);
Mxy  =    KM_(1,7);

%inputiter

 h    = 2*1000*L;
 nlam = 1000;
 
 fyk  = 500;
 gc   = 1.5;
 gs   = 1.15;
 Esk  = 200000;

 beta = 0.001;
 maxiter = 100;

% INITIALISERING 
h  = h/1000;
dh = h/nlam;
c1 = c1/1000;
c2 = c2/1000;
Asx(1) = Asx1/1000000;
Asy(1) = Asy1/1000000;
Asx(2) = Asx2/1000000;
Asy(2) = Asy2/1000000;
R(1,1) = Nx;
R(2,1) = Ny;
R(3,1) = Nxy;
R(4,1) = Mx;
R(5,1) = My;
R(6,1) = Mxy;
Kc = zeros(6,6);
Ksx = zeros(6,6);
Ksy = zeros(6,6);
Sc = zeros(6,1);
Ss = zeros(6,1);
conv = zeros(1,6);
initial = 0;
iter = -1;  
repeat = 1;
z      = zeros(nlam,1);
% MATERIALEGENSKAPER FOR BETONG
fcm = fck+8;
Ecm = (22*(fcm/10)^0.3)*1000;
Ecd = Ecm/1.0;
fcd = (0.85*fck)/gc;
if fck < 50
  ec0 = 0.0020;
  ecu = 0.0035;
  n = 2.0;
elseif fck >= 50
  ec0 = (2.0+0.085*(fck-50)^0.53)/1000;
  ecu = (2.6+35*((90-fck)/100)^4)/1000;
  n = 1.4+23.4*((90-fck)/100)^4;
end

% MATERIALEGENSKAPER FOR ARMERING
Esd = Esk;
fyd = fyk/gs;
esy = fyd/Esk;

%INDRE MOMENTARM FOR BETONG OG ARMERING
for i=1:nlam 
  z(i) = ((h/2)-(dh/2)-dh*(i-1))*-1;
end
zs(1) = -h/2+c1;
zs(2) =  h/2-c2;

while repeat == 1 

iter = iter + 1;
    
%STIVHETSMATRISE FOR BETONG OG ARMERING    

for i=1:nlam
  if initial == 0
    E = Ecd*1000; 
    v = 0;
    C(:,:,i)=(E/(1-v^2))*[1 v 0;
                          v 1 0;
                          0 0 (1-v)/2];    
  end
  A(:,:,i)=[1 0 0 -z(i) 0 0;
            0 1 0 0 -z(i) 0;
            0 0 1 0 0 -z(i)];                 
  kc(:,:,i) = dh*A(:,:,i)'*C(:,:,i)*A(:,:,i);
  Kc = Kc + kc(:,:,i);
end  

for j=1:2
    if initial == 0
        Esx(j) = Esd*1000;
        Esy(j) = Esd*1000;
    end
    As(:,:,j) = [1 0 0 -zs(j) 0 0;
        0 1 0 0 -zs(j) 0;
        0 0 0 0 0 0];
    Csx(:,:,j) = [Esx(j) 0 0;
        0 0 0;
        0 0 0];
    Csy(:,:,j) = [0 0 0;
        0 Esy(j) 0;
        0 0 0];
    ksx(:,:,j) = Asx(j)*As(:,:,j)'*Csx(:,:,j)*As(:,:,j);
    Ksx(:,:) = Ksx + ksx(:,:,j);
    ksy(:,:,j) = Asy(j)*As(:,:,j)'*Csy(:,:,j)*As(:,:,j);
    Ksy(:,:) = Ksy + ksy(:,:,j);
end

% TYNING OG KRUMNING I SKALLMIDDELFLATEN

K = Kc + Ksx + Ksy;

epst = K^-1*R;

% TYNING OG SPENNING I BETONG- OG ARMERINGSLAMELLER  
for i=1:nlam
  eps(:,i)=A(:,:,i)*epst;
  epsi(:,1,i)=A(:,:,i)*epst;
  theta = (atan(epsi(3,1,i)/(epsi(1,1,i)-epsi(2,1,i))))/2; 
  c = cos(theta);
  s = sin(theta);   
  T(:,:,i) = [c^2 s^2 c*s;
              s^2 c^2 -c*s;
             -2*c*s 2*c*s c^2-s^2];    
  epsp(:,i)=T(:,:,i)*eps(:,i);
  if epsp(1,i) <= -ec0
    sigp(1,i) = -fcd;
  elseif epsp(1,i) > -ec0 && epsp(1,i) < 0
    sigp(1,i) = -fcd*(1-(1-(epsp(1,i)/-ec0))^n);
  elseif epsp(1,i) >= 0
    sigp(1,i) = 0;
  end
  if epsp(2,i) <= -ec0
    sigp(2,i) = -fcd;
  elseif epsp(2,i) > -ec0 && epsp(2,i) < 0
    sigp(2,i) = -fcd*(1-(1-(epsp(2,i)/-ec0))^n);
  elseif epsp(2,i) >= 0
    sigp(2,i) = 0;
  end
  sigp(3,i) = 0;
  sig(:,i) = T(:,:,i)'*sigp(:,i);
end

for j=1:2
  epss(:,j)=As(:,:,j)*epst;
  if epss(1,j)>=0 && epss(1,j)<esy
    sigs(1,j) = (Esx(j)/1000)*epss(1,j);
  elseif epss(1,j)>=0 && epss(1,j)>=esy 
    sigs(1,j) = fyd;
  elseif epss(1,j)<0 && epss(1,j)>-esy 
    sigs(1,j) = (Esx(j)/1000)*epss(1,j);
  elseif epss(1,j)<0 && epss(1,j)<=-esy 
    sigs(1,j) = -fyd;
  end
  if epss(2,j)>=0 && epss(2,j)<esy
    sigs(2,j) = (Esy(j)/1000)*epss(2,j);
  elseif epss(2,j)>=0 && epss(2,j)>=esy 
    sigs(2,j) = fyd;
  elseif epss(2,j)<0 && epss(2,j)>-esy 
    sigs(2,j) = (Esy(j)/1000)*epss(2,j);
  elseif epss(2,j)<0 && epss(2,j)<=-esy 
    sigs(2,j) = -fyd;
  end
  sigs(3,j) = 0; 
end

% INDRE KRAFTVEKTOR

for i=1:nlam
  sc(1,1,i) = dh*sig(1,i);
  sc(2,1,i) = dh*sig(2,i);
  sc(3,1,i) = dh*sig(3,i);
  sc(4,1,i) = dh*sig(1,i)*-z(i);
  sc(5,1,i) = dh*sig(2,i)*-z(i);
  sc(6,1,i) = dh*sig(3,i)*-z(i);
  Sc(:,1) = Sc + sc(:,1,i);
end
Sc = Sc*1000;

for j=1:2
  ss(1,1,j) = Asx(j)*sigs(1,j);
  ss(2,1,j) = Asy(j)*sigs(2,j);
  ss(3,1,j) = 0;
  ss(4,1,j) = Asx(j)*sigs(1,j)*-zs(j);
  ss(5,1,j) = Asy(j)*sigs(2,j)*-zs(j);
  ss(6,1,j) = 0;
  Ss(:,1) = Ss + ss(:,1,j);
end  
Ss = Ss*1000;

S = Sc + Ss;

% SJEKK AV KONVERGENS

for k=1:6  
  if R(k,1) == 0
    Maxdiff(k) = 0;
  else
    Maxdiff(k) = abs((R(k,1)-S(k,1))/R(k,1));
  end
  if Maxdiff(k) < beta
      conv(k)=1;
  end
end

if conv(1)==1 && conv(2)==1 && conv(3)==1 && conv(4)==1 && conv(5)==1 && conv(6)==1 
  repeat = 0;
end

% NYE MATERIALMATRISER

initial=1;
Kc = zeros(6,6);
Ksx = zeros(6,6);
Ksy = zeros(6,6);
Sc = zeros(6,1);
Ss = zeros(6,1);
conv = zeros(1,6);

for i=1:nlam
  if sigp(1,i) == 0
    E11(i) = 0;
  else
    E11(i) = (sigp(1,i)/epsp(1,i))*1000;
  end
  if sigp(2,i) == 0
    E22(i) = 0;
  else      
    E22(i) = (sigp(2,i)/epsp(2,i))*1000;
  end
  E12(i)=0.5*(E11(i)+E22(i));
  v(i) = 0;
  Cp(:,:,i) = (1/(1-v(i)^2))*[E11(i) v(i)*E12(i) 0;
                              v(i)*E12(i) E22(i) 0;
                              0 0 0.5*(1-v(i))*E12(i)];                                                                      
  C(:,:,i) = T(:,:,i)'*Cp(:,:,i)*T(:,:,i);
end

if sigs(1,1) == 0 
  Esx(1) = 0;  
else   
  Esx(1) = (sigs(1,1)/epss(1,1))*1000;
end
if sigs(2,1) == 0;
  Esy(1) =  0;  
else 
  Esy(1) = (sigs(2,1)/epss(2,1))*1000;
end
if sigs(1,2) == 0;
  Esx(2) = 0;  
else
  Esx(2) = (sigs(1,2)/epss(1,2))*1000;
end
if sigs(2,2) == 0
  Esy(2) =  0;   
else    
  Esy(2) = (sigs(2,2)/epss(2,2))*1000;
end

if iter > maxiter
  break
end

end

%grid on
%axis([0 fcd+5 0 h])
%set(gca,'xTick',0:5:fcd)
%set(gca,'yTick',0:50:h)
%set(gca,'FontSize',20) 
%xlabel('Strain','Interpreter','latex','fontsize',28)
%ylabel('Stress','Interpreter','latex','fontsize',28)
%plot(-sig(1,:)',(z+h/2)*1000,'-k','linewidth',2.5)

epss_i = zeros(1,4);
sigs_i = zeros(1,4);
UR_i   = zeros(1,4);

sigs_i(1,1) = sigs(1,1);
sigs_i(1,2) = sigs(2,1);
sigs_i(1,3) = sigs(1,2);
sigs_i(1,4) = sigs(2,2);

epss_i(1,1) = epss(1,1);
epss_i(1,2) = epss(2,1);
epss_i(1,3) = epss(1,2);
epss_i(1,4) = epss(2,2);


UR_i = sigs_i./fyd;



end

