%function [COORD,CONNECT_S_I,CONNECT_B_DAM_B,KM_LO1,KM_LO2,L,ANA,P,R,G]=DS2

clear all;
close all;

NLC  = 0;
HYB  = 0;
EKD  = 0;
MOD   = 0;
OpD_mod = 0;
Ai   = 0;
 
choice = menu('Angi nsket analyse-type', ...
	'NLC','HYB','EKD','MOD','OpD_mod');
if choice == 1
        ANA   = 'NLC';
        NLC   = 1;
elseif choice == 2
        ANA   = 'HYB';
        HYB   = 1;
elseif choice == 3
        ANA   = 'EKD';
        EKD   = 1;
elseif choice == 4
        ANA   = 'MOD';
        MOD    = 1;
elseif choice == 5
        ANA     = 'OpD_mod';
        OpD_mod = 1;
end

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%               INNGANGSPARAMETERE FOR OPPBYGGING AV DAM
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
G       = [ 0.0  29.500  6.39   35.893    0            -11.13   13.02;
            1.0  29.500  6.39   35.890    0            -12.13   14.02;
            5.0  35.130  5.83   40.959   -4.792128963  -20.89   18.84;   
           10.0  40.750  5.31   46.058   -9.87540379   -35.70   26.94;
           15.0  46.380  4.80   51.179   -15.30349633  -49.32   32.96;
           20.0  52.000  4.33   56.332   -21.03523235  -57.24   40.42;
           25.0  57.630  3.86   61.487   -27.02943766  -69.32   47.91;
           30.0  63.250  3.40   66.651   -33.31772651  -75.33   53.64;
           35.0  68.870  2.94   71.809   -39.90672374  -80.84   57.63;
           40.0  74.500  2.46   76.961   -46.79273982  -85.74   62.51;
           41.5  74.280  4.27   78.500   -48.97853407  -88.03   66.06;
           43.0  76.490  3.70   79.800   -51.19594222  -90.74   66.00];       

% OMGJRING AV BUELENGDER TIL VINKLER--------------------------------------
G(:,6) = (G(:,6)*180)./(G(:,2)*pi);
G(:,7) = (G(:,7)*180)./(G(:,2)*pi);

% JUSTERING AV HYRE VANGE FOR  UNNG OVERLAPPING VED NEDADRETTET SWEEP---
G(12,7)= G(12,7)+1;       


if EKD == 1
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%               OMGJRING TIL ENKELTKRUM DAM
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
end


if HYB == 1 || EKD == 1 || MOD == 1
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%               OMGJRING TIL HYBRIDDAM
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
G(:,6) = -G(:,7);
end

% ANTALL HORISONTALE VOLUMER-----------------------------------------------
nink       = length(G(:,1));     

stepALL = 30;           % For postprossesering
stepLO1 = 10;           % For postprossesering

% DEFINERING AV VANNSTAND OG TILSVARENDE HYDROSTATISK TRYKKFORDELING-------
HRV = 633;              %Hyeste regulerte vannstand
FVS = 634.9;            %Flomvannstand
LRV = 630;              %Lavvannstand

Vannstand = FVS;      
Topp_dam  = 633;
Bunn_dam  = 590.0;      %Damt

p_max = 10*1000*(Vannstand-Bunn_dam);
p_min = 10*1000*(Vannstand-Topp_dam);

% LASTFAKTOR FOR VANNTRYKK-------------------------------------------------
SF_vanntrykk = 1.2;

%DEFINERING AV PARAMETERE FOR GRAVITASJONSLAST-----------------------------
rho_B35   = 2600;
rho_fjell = 0.000001;
g         = 10;

% ELEMEMTTYPE--------------------------------------------------------------

ELT_SOL  = 'HX24L';
ELT_INT  = 'IS44 Q24IF';
ELT_COMP = 'QU4 Q4CMP';


% ELEMEMTINNDELING---------------------------------------------------------
el_z    = 5;
el_zB01 = 1;
el_zB02 = 4;
el_zB10 = 2;
el_zB11 = 2;
el_tan  = 29;
el_rad  = 1;

el_zF   = 5;
el_radF = 4;

el_zI   = 1;


height = zeros(11,1);
for i =1:nink-1
height(i,1) = (G(i+1,1)-G(i,1)); 
end

P     = p_max - (p_max)/(Vannstand-Bunn_dam)*G(:,1);

R          = zeros(nink,3);
R(:,1)     =  G(:,2);
R(:,2)     =  G(:,2)+G(:,3)*0.5;
R(:,3)     =  G(:,2)+G(:,3);

dR         =  20;

% KOORDINATER DAMVOLUM A OG B ----------------------------------------------------- 
V_a = zeros(12,3);
H_a = zeros(12,3);

V_b = zeros(12,3);
H_b = zeros(12,3);

V_i = zeros(12,3);
H_i = zeros(12,3);

V_af = zeros(12,3);
H_af = zeros(12,3);

V_bf = zeros(12,3);
H_bf = zeros(12,3);



for i=1:nink    
 V_a(i,:) = [R(i,1)*cos(G(i,6)*pi/180)+G(i,5) R(i,1)*sin(G(i,6)*pi/180) G(i,1)];   
 H_a(i,:) = [R(i,1)*cos(G(i,7)*pi/180)+G(i,5) R(i,1)*sin(G(i,7)*pi/180) G(i,1)];
 
 V_i(i,:) = [R(i,2)*cos(G(i,6)*pi/180)+G(i,5) R(i,2)*sin(G(i,6)*pi/180) G(i,1)];   
 H_i(i,:) = [R(i,2)*cos(G(i,7)*pi/180)+G(i,5) R(i,2)*sin(G(i,7)*pi/180) G(i,1)];
 
 V_b(i,:) = [R(i,3)*cos(G(i,6)*pi/180)+G(i,5) R(i,3)*sin(G(i,6)*pi/180) G(i,1)];   
 H_b(i,:) = [R(i,3)*cos(G(i,7)*pi/180)+G(i,5) R(i,3)*sin(G(i,7)*pi/180) G(i,1)];
 
 V_af(i,:) = [(R(i,1)-dR)*cos(G(i,6)*pi/180)+G(i,5) (R(i,1)-dR)*sin(G(i,6)*pi/180) G(i,1)];
 H_af(i,:) = [(R(i,1)-dR)*cos(G(i,7)*pi/180)+G(i,5) (R(i,1)-dR)*sin(G(i,7)*pi/180) G(i,1)];
 
 V_bf(i,:) = [(R(i,3)+dR)*cos(G(i,6)*pi/180)+G(i,5) (R(i,3)+dR)*sin(G(i,6)*pi/180) G(i,1)];
 H_bf(i,:) = [(R(i,3)+dR)*cos(G(i,7)*pi/180)+G(i,5) (R(i,3)+dR)*sin(G(i,7)*pi/180) G(i,1)];
end 



if EKD == 1
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%               OMGJRING TIL ENKELTKRUM DAM
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++    
    
R_ekd_b = G(12,2)+G(12,3);
%EKD_01 = 1.0
%EKD_02 = 1.5
%EKD_03 = 1.25
%EKD_04 = 1.20

menu_ekd = menu('Angi nsket optimaliseringsalternativ', ...
    'EKD_01 - Ingen endring av tykkelse', ...
    'EKD_02 - Tykkelse kt med 10%', ...
    'EKD_03 - Tykkelse kt med 25%', ...
    'EKD_04 - Tykkelse kt med 20%');

ANA = [ANA '_0' num2str(menu_ekd)];
if menu_ekd == 1
T_ekd   = G(:,3)*1;
elseif menu_ekd == 2
T_ekd   = G(:,3)*1.1;
elseif menu_ekd == 3
T_ekd   = G(:,3)*1.25;
elseif menu_ekd == 4
T_ekd   = G(:,3)*1.2;
end

for i=1:11
R_ekd_i    = R_ekd_b-G(i,3)/2;

Dy_ekd_b  = V_b(i,2);
Dx_ekd_b  = G(12,5)-V_b(i,1);
HYP_ekd_b = sqrt(Dy_ekd_b^2 + Dx_ekd_b^2);

dx_ekd_b_V(i,1)   = -((R_ekd_b - HYP_ekd_b) / HYP_ekd_b)*Dx_ekd_b;
dy_ekd_b_V(i,1)   =  ((R_ekd_b - HYP_ekd_b) / HYP_ekd_b)*Dy_ekd_b;
dHyp_ekd_b_V(i,1) = sqrt(dx_ekd_b_V(i,1)^2 + dy_ekd_b_V(i,1)^2);

V_b_ekd(i,:) = V_b(i,:) + [dx_ekd_b_V(i,1) dy_ekd_b_V(i,1) 0];

%------------------

Dy_ekd_a = V_b_ekd(i,2);
Dx_ekd_a = G(12,5)-V_b_ekd(i,1);

dx_ekd_a(i,1) = -( T_ekd(i) /  R_ekd_b )*Dx_ekd_a;
dy_ekd_a(i,1) =  ( T_ekd(i) /  R_ekd_b )*Dy_ekd_a;

V_a_ekd(i,:) = V_b_ekd(i,:) -     [dx_ekd_a(i,1) dy_ekd_a(i,1) 0];
V_i_ekd(i,:) = V_b_ekd(i,:) - 0.5*[dx_ekd_a(i,1) dy_ekd_a(i,1) 0];
%------------------

% Fjellvolumer ---------------------

Dy_ekd_bf = V_i_ekd(i,2);
Dx_ekd_bf = G(12,5)-V_i_ekd(i,1);

dx_ekd_bf = -(dR/R_ekd_i)*Dx_ekd_bf;
dy_ekd_bf =  (dR/R_ekd_i)*Dy_ekd_bf;

V_bf_ekd(i,:) = V_i_ekd(i,:) + [dx_ekd_bf dy_ekd_bf 0];
V_af_ekd(i,:) = V_i_ekd(i,:) - [dx_ekd_bf dy_ekd_bf 0];
%-------------------------

end
V_b_ekd(12,:) = V_b(12,:);
V_a_ekd(12,:) = V_a(12,:);
V_i_ekd(12,:) = V_i(12,:);

V_bf_ekd(12,:)= V_bf(12,:);
V_af_ekd(12,:)= V_af(12,:);

for i=1:11
R_ekd_i    = R_ekd_b-G(i,3)/2;    
    
Dy_ekd_b = H_b(i,2);
Dx_ekd_b = G(12,5)-H_b(i,1);
HYP_ekd_b = sqrt(Dy_ekd_b^2 + Dx_ekd_b^2);

dx_ekd_b_H(i,1)   = -((R_ekd_b - HYP_ekd_b)./HYP_ekd_b)*Dx_ekd_b;
dy_ekd_b_H(i,1)   = ((R_ekd_b - HYP_ekd_b)./HYP_ekd_b)*Dy_ekd_b;
dHyp_ekd_b_H(i,1) = sqrt(dx_ekd_b_H(i,1)^2 + dy_ekd_b_H(i,1)^2);

H_b_ekd(i,:) = H_b(i,:) + [dx_ekd_b_H(i,1) dy_ekd_b_H(i,1) 0];

%------------------

Dy_ekd_a = H_b_ekd(i,2);
Dx_ekd_a = G(12,5)-H_b_ekd(i,1);

dx_ekd_a(i,1) = -( T_ekd(i) /  R_ekd_b )*Dx_ekd_a;
dy_ekd_a(i,1) =  ( T_ekd(i) /  R_ekd_b )*Dy_ekd_a;

H_a_ekd(i,:) = H_b_ekd(i,:) -     [dx_ekd_a(i,1) dy_ekd_a(i,1) 0];
H_i_ekd(i,:) = H_b_ekd(i,:) - 0.5*[dx_ekd_a(i,1) dy_ekd_a(i,1) 0];
%------------------

Dy_ekd_bf = H_i_ekd(i,2);
Dx_ekd_bf = G(12,5)-H_i_ekd(i,1);

dx_ekd_bf = -(dR/R_ekd_i)*Dx_ekd_bf;
dy_ekd_bf =  (dR/R_ekd_i)*Dy_ekd_bf;

H_bf_ekd(i,:) = H_i_ekd(i,:) + [dx_ekd_bf dy_ekd_bf 0];
H_af_ekd(i,:) = H_i_ekd(i,:) - [dx_ekd_bf dy_ekd_bf 0];
%-------------------------

end
H_b_ekd(12,:) = H_b(12,:);
H_a_ekd(12,:) = H_a(12,:);
H_i_ekd(12,:) = H_i(12,:);

H_bf_ekd(12,:)= H_bf(12,:);
H_af_ekd(12,:)= H_af(12,:);

R_EKD   = ones(12,1)*G(12,5); 
Z_EKD   = V_a(:,3);

N_      = G(:,2)+G(:,5);
O_      = N_ + G(:,3);
O_EKD   = ones(12,1)*(G(12,2)+G(12,5)+G(12,3));
N_EKD   = O_EKD - G(:,3);


figure(1);
hold on;
grid on;
plot(O_EKD,Z_EKD+590,'r',O_,Z_EKD+590,'b--',G(:,5),Z_EKD+590,'bo',N_,Z_EKD+590,'b--')
plot(R_EKD,Z_EKD+590,'ro',N_EKD,Z_EKD+590,'r')
title('Tverrsnitt gjennom dammens hovedllamell');
xlabel('Avstand i x-retning [m]');
ylabel('kt. + [m]');
legend('EKD-02','Opprinnelig design','Location','North')

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1000 400]/r);
print(gcf,'-dpng',sprintf('-r%d',r),'C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\EKD.png');

 V_a = V_a_ekd;   
 H_a = H_a_ekd;
 
 V_i = V_i_ekd;   
 H_i = H_i_ekd;
 
 V_b = V_b_ekd;   
 H_b = H_b_ekd;
 
 V_af = V_af_ekd;   
 H_af = H_af_ekd;
 
 V_bf = V_bf_ekd;   
 H_bf = H_bf_ekd;
 
end



if MOD == 1
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%               JUSTERING AV DESIGN P DOBBELTKRUM HVELVDAM
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Ai = menu('Angi nsket optimaliseringsalternativ', ...
    'MOD_01 - Dim etter Design of Arch Dams', ...
    'MOD_02 - Iterasjon 2', ...
    'MOD_03 - Justering av tykkelse -15%', ...
    'MOD_04 - Iterasjon 1');

ANA = [ANA '_0' num2str(Ai)];
Z = G(:,1);
R_Ai = zeros(12,10);
N_Ai = zeros(12,10);
O_Ai = zeros(12,10);
r_a_Ai = zeros(12,10); 
r_i_Ai = zeros(12,10); 
r_b_Ai = zeros(12,10); 
V_a_x_Ai = zeros(12,10);
V_i_x_Ai = zeros(12,10);
V_b_x_Ai = zeros(12,10);

% Oppbygging av geometri etter Design of Arch Dams
   feet= 3.28084; 
   H   =   43;
   L_1 =   (H_b(12,2)-V_b(12,2));
   L_2 =   (H_b(1,2)-V_b(1,2));
   
   T_c =   0.01*(H+1.2*L_1);
   T_B_feet=   0.0012*H*feet*L_1*feet*L_2*feet*(H*feet/400)^(H*feet/400);
   T_B_feet =   nthroot(T_B_feet, 3);
   T_B = T_B_feet/feet;
   T_045 = 0.95*T_B;
   
   V_M3_m_feet = 0.000002*(H*feet)^2*L_2*feet*( (H+0.8*L_2) / (L_1-L_2) ) + 0.0004*H*feet*L_1*feet*(H*feet+L_1*feet);
   V_M3_m = V_M3_m_feet/(feet^3);
   
   x_Shift = 0.33*T_B;
   pt_d_B   = [-0.33*T_B+x_Shift    0];
   pt_d_045 = [0+x_Shift            0.45*H];
   pt_d_c   = [-T_c+x_Shift         H];
   
   pt_u_B   = [0.67*T_B+x_Shift     0];
   pt_u_045 = [T_045+x_Shift        0.45*H];
   pt_u_c   = [0+x_Shift            H];
   
   
   d = [pt_d_B; pt_d_045; pt_d_c];
   u = [pt_u_B; pt_u_045; pt_u_c];
   
   [c_d, r_d] = calcCircle(pt_d_B,pt_d_045,pt_d_c);
   [c_u, r_u] = calcCircle(pt_u_B,pt_u_045,pt_u_c);
   
  H_M3 = G(:,1);

u_s = zeros(12,2);
d_s = zeros(12,2);

for i=1:12
  d_s(i,1) = sqrt( r_d^2- (H_M3(i)-c_d(2))^2 ) + c_d(1);
  u_s(i,1) = sqrt( r_u^2- (H_M3(i)-c_u(2))^2 ) + c_u(1);
end

v_M3 = G(:,7);
t_M3 = u_s(:,1)-d_s(:,1);

t_M3_11 = t_M3(11);
t_M3_12 = t_M3(12);

t_M3(11,1) =  G(11,3);
t_M3(12,1) =  G(12,3);

s_M3 = zeros(12,1);
x_M3 = zeros(12,1);

for i=1:12
r_M3(i,1) = H_a(i,2)/sin(v_M3(i)*(pi/180));
s_M3(i,1) = -r_M3(i,1)+ d_s(i,1);
end

r_M3(11,1) = r_M3(11,1) - (t_M3_11 - t_M3(11,1));
r_M3(12,1) = r_M3(12,1) - (t_M3_12 - t_M3(12,1));

s_M3(11,1) = s_M3(11,1) + (t_M3_11 - t_M3(11,1));
s_M3(12,1) = s_M3(12,1) + (t_M3_12 - t_M3(12,1));


if Ai == 1
t_M3 = t_M3/1.0;
elseif Ai == 3
t_M3 = t_M3/1.175;
elseif Ai == 4
dt_M4 = [1.07;1.06;1.02;0.956096047204227;0.898106002808834;0.853670764034647;0.847171860177168;0.846634429888865;0.882289460883382;0.945839622749921;0.851395951896817;0.824510833563994;];
t_M3(1:10,1) = diag(t_M3(1:10,1))*dt_M4(1:10,1);
elseif Ai == 2
dt_M4 = [1.07;1.06;1.02;0.956096047204227;0.898106002808834;0.853670764034647;0.847171860177168;0.846634429888865;0.882289460883382;0.945839622749921;0.851395951896817;0.824510833563994;];
t_M3(1:10,1) = diag(t_M3(1:10,1))*dt_M4(1:10,1);
dt_M42 = [1.49828381339624;1.46528315547821;1.12702539468124;1.09826009778578;1.06083396242217;1.03252616407976;1.02289492701927;0.987998004863111;0.971631081178654;0.971514145503138;0.817040781644488;0.766012461863385;];
t_M3(1:10,1) = diag(t_M3(1:10,1))*dt_M42(1:10,1);
t_M3(1,1) = G(1,3);
t_M3(2,1) = G(2,3);
t_M3(3,1) = G(3,3);
t_M3(4,1) = G(4,3);
end

if Ai == 4 || Ai == 2
for i=1:nink
angle(i,1) = (-G(i,6)+G(i,7));
A_MOD_0i(i,1) = (pi/360)*angle(i,1)*r_M3(i)^2;
A_MOD_0i(i,2) = (pi/360)*angle(i,1)*(t_M3(i)+r_M3(i))^2;
A_MOD_0i(i,3) = A_MOD_0i(i,2)-A_MOD_0i(i,1);
end
V_MOD_0i = 0;
for i =1:nink-1 
V_MOD_0i = V_MOD_0i+0.5*(A_MOD_0i(i+1,3)+A_MOD_0i(i,3))*height(i,1);
end
end

for i=1:12
x_M3(i,1) = -r_M3(i,1)+ H_a(i,2)/tan(v_M3(i)*(pi/180));
dx_M3     = t_M3*cos(v_M3(i)*(pi/180));
dy_M3     = t_M3*sin(v_M3(i)*(pi/180));
end
x_M3 = x_M3 - s_M3(1,1);
s_M3 = s_M3 - s_M3(1,1);

figure(5)
hold on
%Plot av senter dam for opprinnelig og nytt design
plot(d(:,1),d(:,2),'ro',u(:,1),u(:,2),'bo');
plot(c_d(1),c_d(2),'ro',c_u(1),c_u(2),'bo');
plot(d_s(:,1),H_M3,'r',u_s(:,1),H_M3,'b')
title('Oppbygging av tverrsnittsgeometri for nytt design')
xlabel('x-koordinater')
ylabel('y-koordinater')
hold off

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1200 400]/r);
print(gcf,'-dpng',sprintf('-r%d',r),'C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\MOD_03_sirkelsenter.png');


d_s(11,1) = d_s(11,1) + (t_M3_11 - t_M3(11,1))-0.4;
d_s(12,1) = d_s(12,1) + (t_M3_12 - t_M3(12,1))-0.4;

figure(4)
%Plot av tykkelsen for opprinnelig og nytt design
plot(t_M3,H_M3,G(:,3),H_M3)

figure(2)
hold on
%Plot av senter dam for nytt design
plot(d_s(:,1)+r_M3(1),H_M3+590,'r',G(:,2)+G(:,5),Z+590,'b--',d_s(:,1)+r_M3(1)+t_M3(:),H_M3+590,'r')
plot(G(:,2)+G(:,5)+G(:,3),Z+590,'b--')
%Plot av senterpunkt for opprinnelig og nytt design
plot(s_M3,H_M3+590,'ro');
plot(G(:,5),Z+590,'bo')
title('Tverrsnittsgeometri for designalternativ MOD-02 og opprinnelig design')
xlabel('Avstand i x-retning')
legend('MOD-02','Opprinnelig design','Location','SouthWest')
ylabel('kt. + [m]')
hold off
grid on
r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1000 400]/r);
print(gcf,'-dpng',sprintf('-r%d',r),'C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\MOD_02_tv_geom.png');




for i=1:12
H_a(i,:) = [x_M3(i) H_a(i,2) H_a(i,3)];
H_i(i,:) = H_a(i,:) + [dx_M3(i) dy_M3(i) 0]./2;
H_b(i,:) = H_a(i,:) + [dx_M3(i) dy_M3(i) 0];
end

V_a = [H_a(:,1) -H_a(:,2) H_a(:,3)];
V_b = [H_b(:,1) -H_b(:,2) H_b(:,3)];
V_i = [H_i(:,1) -H_i(:,2) H_i(:,3)];

figure(3)
hold on
plot(V_a(:,1),V_a(:,2),H_a(:,1),H_a(:,2))
%plot(V_b(:,1),V_b(:,2),H_b(:,1),H_b(:,2))
%plot(V_i(:,1),V_i(:,2),H_i(:,1),H_i(:,2))
hold off




end






if NLC == 1 || HYB == 1
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%                   KALKULERING FOR OPPPRINNLIG DESIGN
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
A     = zeros(11,3);
angle = zeros(12,1);
X     = zeros(12,1);
Y     = zeros(12,1);
for i=1:nink
angle(i,1) = (-G(i,6)+G(i,7));
A(i,1) = (pi/360)*angle(i,1)*G(i,2)^2;
A(i,2) = (pi/360)*angle(i,1)*(G(i,3)+G(i,2))^2;
A(i,3) = A(i,2)-A(i,1);
end
V = 0;
for i =1:nink-1 
V = V+0.5*(A(i+1,3)+A(i,3))*height(i,1);
end
Fz = V*2600*10;

%Beregning av hvelvareal
angR_u   = diag((angle)*pi/180)*G(:,4);
angR_d   = diag((angle)*pi/180)*G(:,2);
Az_u = 0;
Az_d = 0;
for i=1:nink-1
Az_u     = Az_u+0.5*(angR_u(i+1)+angR_u(i))*height(i);
Az_d     = Az_d+0.5*(angR_d(i+1)+angR_d(i))*height(i);
end

j=1;
for i=nink:-1:1
X(j,:) = H_af(i,1);
Y(j,:) = H_af(i,2);
j=j+1;
end
for i=1:nink
X(j,:) = V_af(i,1);
Y(j,:) = V_af(i,2);
j=j+1;
end
for i=nink:-1:1
X(j,:) = V_bf(i,1);
Y(j,:) = V_bf(i,2);
j=j+1;
end
for i=1:nink
X(j,:) = H_bf(i,1);
Y(j,:) = H_bf(i,2);
j=j+1;
end

A_vange    = polyarea(X,Y);

%Kontrollberegning av A_vange:
R_overslag = mean(G(:,2)-G(:,5));
L_overslag = (90+66)*(pi/180)*R_overslag;
A_overslag = L_overslag*0.5*(6.5+2.5);

%Fz inkludert fjellmasse
V_Fjell    = A_vange*dR;
Fz_mfjell  = Fz+V_Fjell*rho_fjell*g;

%Projeksert areal av vt side av dam (Stemmer ok med ANSYS 649825 kN)
L_vatside_x     = H_i(:,2)-V_i(:,2);
A_vatside_x     = zeros(11,1);
F_x_p           = zeros(11,1);
for i=1:nink-1
A_vatside_x(i,:)  = (L_vatside_x(i)+L_vatside_x(i+1))*0.5*height(i);
F_x_p(i) = (P(i)+P(i+1))*0.5*A_vatside_x(i);
end
F_x_p_tot = sum(F_x_p);
A_vatside_x_tot = sum(A_vatside_x);


end

% INPUT, DEFINISJONER -----------------------------------------------------
lANA = length(ANA);

ANA_fgcname            = ['C:\DIANA\DS\' ANA(1,1:lANA) '\DS.fgc'];
VO_filename            = ['C:\DIANA\DS\' ANA(1,1:lANA) '\VO.fgc'];
GO_filename            = ['C:\DIANA\DS\' ANA(1,1:lANA) '\GO.fgc'];
CLEARDIA_filename      = ['C:\DIANA\DS\' ANA(1,1:lANA) '\CLEARDIA.bat'];
nonlin_DS_filename     = ['C:\DIANA\DS\' ANA(1,1:lANA) '\nonlin_DS.dcf'];
SHAPE_filename         = ['C:\DIANA\DS\' ANA(1,1:lANA) '\SHAPE.fgc'];
compose_all_filename   = ['C:\DIANA\DS\' ANA(1,1:lANA) '\compose_all.dat'];
redint_filename        = ['C:\DIANA\DS\' ANA(1,1:lANA) '\redint.dat'];
ut_filename            = ['C:\DIANA\DS\' ANA(1,1:lANA) '\ut.dcf'];
DEL_SHAPE_filename     = ['C:\DIANA\DS\' ANA(1,1:lANA) '\DEL_SHAPE.fgc'];
bubble_filename        = ['C:\DIANA\DS\' ANA(1,1:lANA) '\bubble.dat'];

dat_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\DS_' ANA(1,1:lANA) '.dat'];

NXX_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_NXX.TXT'];
NYY_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_NYY.TXT'];
NXY_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_NXY.TXT'];
MXX_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_MXX.TXT'];
MYY_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_MYY.TXT'];
MXY_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_MXY.TXT'];
QXZ_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_QXZ.TXT'];
QYZ_LO1_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_QYZ.TXT'];

NXX_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO2_NXX.TXT'];
NYY_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO2_NYY.TXT'];
NXY_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO2_NXY.TXT'];
MXX_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO2_MXX.TXT'];
MYY_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO2_MYY.TXT'];
MXY_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO2_MXY.TXT'];
QXZ_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_QXZ.TXT'];
QYZ_LO2_filename           = ['C:\DIANA\DS\' ANA(1,1:lANA) '\TABELLER\' ANA(1,1:lANA) '_LO1_QYZ.TXT'];

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%                        INNLEDENDE KODING
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

fileID = fopen(ANA_fgcname,'w');

fprintf(fileID,'!|--------------------------------------------------------------------------|\r\n');
fprintf(fileID,'!| DATE       :                   | Description:                            |\r\n');
fprintf(fileID,'!|--------------------------------------------------------------------------|\r\n');
fprintf(fileID,'!| CREATED BY : Aleksander B.     |                                         |\r\n');
fprintf(fileID,'!|              Jensen            |                                         |\r\n');
fprintf(fileID,'!|                                |                                         |\r\n');
fprintf(fileID,'!|--------------------------------------------------------------------------|\r\n');
fprintf(fileID,'!| REVISION MARKS:                                                          |\r\n');
fprintf(fileID,'!|------|------------|------------------------------------------------------|\r\n');
fprintf(fileID,'!| REV. |    DATE    | DESCRIPTION                                  |Sign   |\r\n');
fprintf(fileID,'!|------|------------|----------------------------------------------|-------|\r\n');
fprintf(fileID,'!| 1    | 28.01.2013 | Start modelling                              |       |\r\n');
fprintf(fileID,'!|------|------------|----------------------------------------------|-------|\r\n');

fprintf(fileID,'!   SETUP  --------------------------------------------------------------------\r\n');
fprintf(fileID,'!   FILE CLOSE; NO\r\n');
fprintf(fileID,'    UTILITY SETUP DIRECTORY "C:\\DIANA\\DS\\%s"\r\n',ANA(1,1:lANA));
fprintf(fileID,'    FEMGEN DS_%s\r\n',ANA(1,1:lANA));
fprintf(fileID,'    PROPERTY FE-PROG DIANA STRUCT_3D  ; YES\r\n');
fprintf(fileID,'    UTILITY SETUP UNITS LENGTH METER\r\n');
fprintf(fileID,'    UTILITY SETUP UNITS MASS KILOGRAM\r\n');
fprintf(fileID,'    UTILITY SETUP UNITS FORCE NEWTON\r\n');
fprintf(fileID,'    UTILITY SETUP UNITS TIME SECOND\r\n');
fprintf(fileID,'    UTILITY SETUP UNITS TEMP KELVIN\r\n');
fprintf(fileID,'    UTILITY SETUP UNDO ON\r\n');
fprintf(fileID,'    UTILITY SETUP BINSET OFF\r\n');
fprintf(fileID,'    MESHING OPTIONS CHECK STRUCTURED OFF\r\n');
fprintf(fileID,'    UTILITY SETUP OPTIONS ANALYSIS SOLVER-COMMAND "diana_w"\r\n');

fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                          OPPBYGGING AV DAMGEOMETRI                  \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');


fprintf(fileID,'!REFERANSEPUNKT-------------------------------------------------------\r\n');

if EKD == 1
   G(:,5) = G(12,5); 
end

if MOD == 1
   G(:,5) = s_M3;
end

for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD R%02i %12.12f 0 %12f\r\n',i,G(i,5),G(i,1));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD Q%02i %12.12f 0 %12f\r\n',i,G(i,5),G(i,1)+1);
end


fprintf(fileID,'\r\n');

fprintf(fileID,'!KOORDINATER BETONGVOLUM ----------------------------------------------\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Va %12.12f %12.12f %12.12f\r\n',i,V_a(i,1),V_a(i,2),V_a(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Ha %12.12f %12.12f %12.12f\r\n',i,H_a(i,1),H_a(i,2),H_a(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Vi %12.12f %12.12f %12.12f\r\n',i,V_i(i,1),V_i(i,2),V_i(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Hi %12.12f %12.12f %12.12f\r\n',i,H_i(i,1),H_i(i,2),H_i(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Vb %12.12f %12.12f %12.12f\r\n',i,V_b(i,1),V_b(i,2),V_b(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Hb %12.12f %12.12f %12.12f\r\n',i,H_b(i,1),H_b(i,2),H_b(i,3));
end
fprintf(fileID,'\r\n');

fprintf(fileID,'!KOORDINATER FJELLVOLUM ----------------------------------------------\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Vaf %12.12f %12.12f %12.12f\r\n',i,V_af(i,1),V_af(i,2),V_af(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Haf %12.12f %12.12f %12.12f\r\n',i,H_af(i,1),H_af(i,2),H_af(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Vbf %12.12f %12.12f %12.12f\r\n',i,V_bf(i,1),V_bf(i,2),V_bf(i,3));
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY POINT COORD P%02i_Hbf %12.12f %12.12f %12.12f\r\n',i,H_bf(i,1),H_bf(i,2),H_bf(i,3));
end
fprintf(fileID,'\r\n');

fprintf(fileID,'GEOMETRY POINT COORD P12_Hbf %12.12f %12.12f %12.12f\r\n',H_bf(i,1),H_bf(i,2),H_bf(i,3));
fprintf(fileID,'YES;\r\n');
fprintf(fileID,'GEOMETRY POINT COORD P12_Haf %12.12f %12.12f %12.12f\r\n',H_af(i,1),H_af(i,2),H_af(i,3));
fprintf(fileID,'YES;\r\n');



fprintf(fileID,'!BUELINJER ----------------------------------------------------------------\r\n\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY LINE ARC L%02i_a P%02i_Va P%02i_Ha R%02i\r\n',i,i,i,i);
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY LINE ARC L%02i_i P%02i_Vi P%02i_Hi R%02i\r\n',i,i,i,i);
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY LINE ARC L%02i_b P%02i_Vb P%02i_Hb R%02i\r\n',i,i,i,i);
end
fprintf(fileID,'\r\n');

fprintf(fileID,'!RETTE LINJESTYKKER MELLOM VT OG TRR SIDE ----------------------------\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY LINE STRAIGHT L%02i_Vai P%02i_Va P%02i_Vi\r\n',i,i,i);
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY LINE STRAIGHT L%02i_Hai P%02i_Ha P%02i_Hi\r\n',i,i,i);
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY LINE STRAIGHT L%02i_Vib P%02i_Vi P%02i_Vb\r\n',i,i,i);
end
fprintf(fileID,'\r\n');
for i=1:nink
fprintf(fileID,'GEOMETRY LINE STRAIGHT L%02i_Hib P%02i_Hi P%02i_Hb\r\n',i,i,i);
end
fprintf(fileID,'\r\n');

fprintf(fileID,'!LAGE SURFACE AV LINJESTYKKENE ------------------------------------------\r\n');
fprintf(fileID,'GEOMETRY SURFACE AUTOMATIC\r\n');
for i=1:nink
fprintf(fileID,'UTILITY NAME S%i S%02ia\r\n',i,i);
end
for i=nink+1:2*nink
fprintf(fileID,'UTILITY NAME S%i S%02ib\r\n',i,i-nink);
end
fprintf(fileID,'\r\n');

fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                          OPPBYGGING AV DAMKROPP                     \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');

for i=1:nink-1
fprintf(fileID,'GEOMETRY BODY 2SURFS B%02ia S%02ia S%02ia\r\n',i,i,i+1);
end
fprintf(fileID,'\r\n');

i=25;
for j=1:nink-1
fprintf(fileID,'UTILITY NAME S%i S%02i%02ia\r\n',i,j,j+1);
i=i+1;
fprintf(fileID,'UTILITY NAME S%i S%02i%02iHai\r\n',i,j,j+1);
i=i+1;
fprintf(fileID,'UTILITY NAME S%i S%02i%02ii\r\n',i,j,j+1);
i=i+1;
fprintf(fileID,'UTILITY NAME S%i S%02i%02iVai\r\n',i,j,j+1);
i=i+1;
end
fprintf(fileID,'\r\n');

for i=1:nink-1
fprintf(fileID,'GEOMETRY BODY 2SURFS B%02ib S%02ib S%02ib\r\n',i,i,i+1);
end
fprintf(fileID,'\r\n');

i=69;
for j=1:nink-1
fprintf(fileID,'UTILITY NAME S%i S%02i%02iHib\r\n',i,j,j+1);
i=i+1;
fprintf(fileID,'UTILITY NAME S%i S%02i%02ib\r\n',i,j,j+1);
i=i+1;
fprintf(fileID,'UTILITY NAME S%i S%02i%02iVib\r\n',i,j,j+1);
i=i+1;
end
fprintf(fileID,'\r\n');


fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                          OPPBYGGING AV SET I DAM                    \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'! VANGE --------------------------------------------------\r\n');
fprintf(fileID,'CONSTRUCT SET OPEN S_VANGE\r\n');
for i=nink-1:-1:1
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iVai\r\n',i,i+1);
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iHai\r\n',i,i+1);
end
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S01a\r\n');
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S01b\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iVib\r\n',i,i+1);
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iHib\r\n',i,i+1);
end
fprintf(fileID,'CONSTRUCT SET CLOSE S_VANGE\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'! A,I OG B OVERFLATE --------------------------------------------------\r\n');
fprintf(fileID,'CONSTRUCT SET OPEN S_A\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02ia\r\n',i,i+1);
end
fprintf(fileID,'CONSTRUCT SET CLOSE S_A\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN S_I\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02ii\r\n',i,i+1);
end
fprintf(fileID,'CONSTRUCT SET CLOSE S_I\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN S_B\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02ib\r\n',i,i+1);
end
fprintf(fileID,'CONSTRUCT SET CLOSE S_B\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'! DAMKROPPEN --------------------------------------------------\r\n');
fprintf(fileID,'CONSTRUCT SET OPEN B_DAM_A\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B%02ia\r\n',i);
end
fprintf(fileID,'CONSTRUCT SET CLOSE B_DAM_A\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN B_DAM_B\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B%02ib\r\n',i);
end
fprintf(fileID,'CONSTRUCT SET CLOSE B_DAM_B\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN B_DAM\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B%02ia\r\n',i);
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B%02ib\r\n',i);
end
fprintf(fileID,'CONSTRUCT SET CLOSE B_DAM\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!             OPPBYGGING AV INTERFACE og FJELLVOLUM                   \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SPACE TOL OFF\r\n');
fprintf(fileID,'CONSTRUCT NAME BODIES B 1000\r\n');
fprintf(fileID,'CONSTRUCT NAME SURFACES S 1000\r\n');
fprintf(fileID,'GEOMETRY SWEEP S_VANGE S_FO  1 TRANSLATE 0 0 -0.01\r\n');
fprintf(fileID,'\r\n');


fprintf(fileID,'CONSTRUCT NAME BODIES B 2000\r\n');
fprintf(fileID,'CONSTRUCT NAME SURFACES S 2000\r\n');
fprintf(fileID,'GEOMETRY SWEEP S_FO S_FU 5 TRANSLATE 0 0 -20\r\n');
fprintf(fileID,'\r\n');

PFO = [7 5 11:4:47 45 41:-4:9 1 4 72:-2:52 51 50 53:2:73];
j=1;
for i=nink:-1:1
fprintf(fileID,'UTILITY NAME P%i P%02iHau\r\n',PFO(j),i);
j=j+1;
end
for i=1:nink
fprintf(fileID,'UTILITY NAME P%i P%02iVau\r\n',PFO(j),i);
j=j+1;
end
for i=nink:-1:1
fprintf(fileID,'UTILITY NAME P%i P%02iVbu\r\n',PFO(j),i);
j=j+1;
end
for i=1:nink
fprintf(fileID,'UTILITY NAME P%i P%02iHbu\r\n',PFO(j),i);
j=j+1;
end

fprintf(fileID,'!LAGE SURFACE TIL VRE FJELLOVERFLATE ------------------------------------------\r\n');
for i=1:nink-1
fprintf(fileID,'GEOMETRY SURFACE 4POINTS S%02i%02iHaf P%02i_Haf P%02i_Haf P%02iHau P%02iHau\r\n',i,i+1,i+1,i,i,i+1);
end
fprintf(fileID,'\r\n');
for i=1:nink-1
fprintf(fileID,'GEOMETRY SURFACE 4POINTS S%02i%02iVaf P%02i_Vaf P%02i_Vaf P%02iVau P%02iVau\r\n',i,i+1,i+1,i,i,i+1);
end
fprintf(fileID,'\r\n');
for i=1:nink-1
fprintf(fileID,'GEOMETRY SURFACE 4POINTS S%02i%02iHbf P%02iHbu P%02iHbu P%02i_Hbf P%02i_Hbf\r\n',i,i+1,i+1,i,i,i+1);
end
fprintf(fileID,'\r\n');
for i=1:nink-1
fprintf(fileID,'GEOMETRY SURFACE 4POINTS S%02i%02iVbf P%02iVbu P%02iVbu P%02i_Vbf P%02i_Vbf\r\n',i,i+1,i+1,i,i,i+1);
end
fprintf(fileID,'\r\n');
fprintf(fileID,'GEOMETRY SURFACE 4POINTS S01af P01_Vaf P01_Haf P01Hau P01Vau\r\n');
fprintf(fileID,'GEOMETRY SURFACE 4POINTS S01bf P01Vbu P01Hbu P01_Hbf P01_Vbf\r\n');


fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                          OPPBYGGING AV SET OG FJELLVOLUM            \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');

fprintf(fileID,'! VRE DEL AV FJELLVOLUM ----------------------------------------------\r\n');
fprintf(fileID,'CONSTRUCT SET OPEN S_F_AB\r\n');
for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iVaf\r\n',i,i+1);
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iHaf\r\n',i,i+1);
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iVbf\r\n',i,i+1);
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iHbf\r\n',i,i+1);
end
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S01af\r\n');
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S01bf\r\n');
fprintf(fileID,'CONSTRUCT SET CLOSE S_F_AB\r\n');

fprintf(fileID,'CONSTRUCT NAME BODIES Bf 1000\r\n');
fprintf(fileID,'CONSTRUCT NAME SURFACES Sf 1000\r\n');
fprintf(fileID,'GEOMETRY SWEEP S_F_AB S_F_ABU TRANSLATE 0 0 -19.99\r\n');

fprintf(fileID,'CONSTRUCT NAME BODIES BfY 1000\r\n');
fprintf(fileID,'CONSTRUCT NAME SURFACES SfY 1000\r\n');

fprintf(fileID,'GEOMETRY SWEEP SF1178 TRANSLATE -25 -20 0\r\n');
fprintf(fileID,'GEOMETRY SWEEP SF1172 TRANSLATE -25 -20 0\r\n');
fprintf(fileID,'GEOMETRY SWEEP S2048  TRANSLATE -25 -20 0\r\n');
fprintf(fileID,'GEOMETRY SWEEP S2160  TRANSLATE -25 -20 0\r\n');

fprintf(fileID,'GEOMETRY SWEEP SF1175 TRANSLATE -20 20 0\r\n');
fprintf(fileID,'GEOMETRY SWEEP SF1181 TRANSLATE -20 20 0\r\n');
fprintf(fileID,'GEOMETRY SWEEP S2161  TRANSLATE -20 20 0\r\n');
fprintf(fileID,'GEOMETRY SWEEP S2052  TRANSLATE -20 20 0\r\n');

fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!               OPPBYGGING AV SET I INTERFACE OG FJELLVOLUM            \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN INT\r\n');
for i=0:45
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B10%02i\r\n',i);
end
fprintf(fileID,'CONSTRUCT SET CLOSE INT\r\n');
fprintf(fileID,'\r\n');


fprintf(fileID,'! SNU INTERFACELEMENTER FOR  GI RIKTIG RETNING-----------\r\n');
fprintf(fileID,'GEOMETRY FLIP INT\r\n');


fprintf(fileID,'CONSTRUCT SET OPEN B_F\r\n');
for i=0:45
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B20%02i\r\n',i);
end
fprintf(fileID,'CONSTRUCT SET CLOSE B_F\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN B_F_AB\r\n');
for i=0:45
fprintf(fileID,'CONSTRUCT SET APPEND BODIES BF10%02i\r\n',i);
end
fprintf(fileID,'CONSTRUCT SET CLOSE B_F_AB\r\n');
fprintf(fileID,'\r\n');
 
SF = [1185 1039 1043 1031 1035 1023 1027 1015 1019 1011 1007 1003 1000 1045 1002 1014 1006 1010 1042 1038 1034 1030 1026 1022 1018 1036 1040 1024 1028 1032 1008 1012 1016 1020 1004 1044 1005 1001 1017 1013 1009 1025 1021 1041 1037 1033 1029 1173 1137 1161 1149 1125 1113 1101 1089 1077 1065 1050 1182 1046 1062 1074 1086 1098 1110 1122 1134 1146 1158 1170 1177 1165 1153 1141 1129 1117 1105 1093 1081 1069 1056 1060 1072 1084 1096 1108 1120 1132 1144 1156 1168 1180];
SFY= [1001 1000 1014 1015 1010 1005 1008 1024 1039 1034 1029 1023 1020 1035 1030 1025 1026 1009 1015 1019 1004];
fprintf(fileID,'CONSTRUCT SET OPEN S_F_SIDE\r\n');
for i=1:length(SF)
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES SF%04i\r\n',SF(i));
end
for i=1:length(SFY)
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES SFY%04i\r\n',SFY(i));
end
fprintf(fileID,'CONSTRUCT SET CLOSE S_F_SIDE\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN INT_F\r\n');
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES INT\r\n');
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES B_F\r\n');
fprintf(fileID,'CONSTRUCT SET CLOSE INT_F\r\n');

fprintf(fileID,'CONSTRUCT SET OPEN B_F_Y\r\n');
for i=0:7
fprintf(fileID,'CONSTRUCT SET APPEND BODIES BFY100%01i\r\n',i);
end
fprintf(fileID,'CONSTRUCT SET CLOSE B_F_Y\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!      OPPBYGGING AV SET FOR HVER HORISONTALE SEKSJON (POSTPROS.)       \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');

for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET OPEN B_B%02i\r\n',i);
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B%02iA\r\n',i);
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B%02iB\r\n',i);
fprintf(fileID,'CONSTRUCT SET CLOSE B_B%02i\r\n',i);
end

for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET OPEN B_B%02ia\r\n',i);
fprintf(fileID,'CONSTRUCT SET APPEND BODIES B%02iA\r\n',i);
fprintf(fileID,'CONSTRUCT SET CLOSE B_B%02ia\r\n',i);
end

for i=1:nink-1
fprintf(fileID,'CONSTRUCT SET OPEN S_S%02i\r\n',i);
fprintf(fileID,'CONSTRUCT SET APPEND SURFACES S%02i%02iI\r\n',i,i+1);
fprintf(fileID,'CONSTRUCT SET CLOSE S_S%02i\r\n',i);
end

fprintf(fileID,'\r\n');



fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!               FORFLYTTING AV INT OG B_F 1mm I POS. Z-RETNING        \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'GEOMETRY MOVE B_F TRANSLATE 0 0 0.01\r\n');
fprintf(fileID,'YES\r\n');
fprintf(fileID,'CONSTRUCT SPACE TOL ON\r\n');

fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!               OPPDELING AV MODELL I ELEMENTER           \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'! OPPDELING AV FJELLVOLUM-------------------------------------\r\n');
for i=0:45
fprintf(fileID,'MESHING DIVISION BODY B20%02i %i %i %i\r\n',i,el_rad,el_z,el_zF);
end
fprintf(fileID,'\r\n');
for i=0:45
fprintf(fileID,'MESHING DIVISION BODY BF10%02i %i %i %i\r\n',i,el_z,el_radF,el_zF);
end

fprintf(fileID,'MESHING DIVISION BODY BFY1000 %i %i %i\r\n',el_zF,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BFY1001 %i %i %i\r\n',el_zF,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BFY1004 %i %i %i\r\n',el_zF,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BFY1005 %i %i %i\r\n',el_zF,el_radF,el_zF);

fprintf(fileID,'MESHING DIVISION BODY BFY1002 %i %i %i\r\n',el_zF,el_rad,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BFY1003 %i %i %i\r\n',el_zF,el_rad,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BFY1006 %i %i %i\r\n',el_zF,el_rad,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BFY1007 %i %i %i\r\n',el_zF,el_rad,el_zF);


fprintf(fileID,'\r\n');

fprintf(fileID,'! OPPDELING AV INTERFACE-------------------------------------\r\n');
for i=0:45
fprintf(fileID,'MESHING DIVISION BODY B10%02i %i %i %i\r\n',i,el_rad,el_z,el_zI);
end
fprintf(fileID,'\r\n');

fprintf(fileID,'! ENDRING AV OPPDELING FOR ELEMENTER I BUNN DAM-------------------------\r\n');
fprintf(fileID,'MESHING DIVISION BODY B2022 %i %i %i\r\n',el_tan,el_rad,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B1022 %i %i %i\r\n',el_tan,el_rad,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B2023 %i %i %i\r\n',el_tan,el_rad,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B1023 %i %i %i\r\n',el_tan,el_rad,el_zI);
fprintf(fileID,'MESHING DIVISION BODY BF1044 %i %i %i\r\n',el_tan,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1045 %i %i %i\r\n',el_tan,el_radF,el_zF);

fprintf(fileID,'! OPPDELING AV DAMKROPP-------------------------------------\r\n');
for i=1:nink-1
fprintf(fileID,'MESHING DIVISION BODY B%02ia %i %i %i\r\n',i,el_tan,el_rad,el_z);
fprintf(fileID,'MESHING DIVISION BODY B%02ib %i %i %i\r\n',i,el_tan,el_rad,el_z);
end

fprintf(fileID,'! JUSTERING AV B01 OG TILHRENDE ELEMENTER------------------------------\r\n');
fprintf(fileID,'MESHING DIVISION BODY B01a   %i %i %i\r\n',el_tan,el_rad,el_zB01);
fprintf(fileID,'MESHING DIVISION BODY B01b   %i %i %i\r\n',el_tan,el_rad,el_zB01);

fprintf(fileID,'MESHING DIVISION BODY BF1000 %i %i %i\r\n',el_zB01,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1001 %i %i %i\r\n',el_zB01,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1002 %i %i %i\r\n',el_zB01,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1003 %i %i %i\r\n',el_zB01,el_radF,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B2020  %i %i %i\r\n',el_rad,el_zB01,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2021  %i %i %i\r\n',el_rad,el_zB01,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2024  %i %i %i\r\n',el_rad,el_zB01,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2025  %i %i %i\r\n',el_rad,el_zB01,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B1020  %i %i %i\r\n',el_rad,el_zB01,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1021  %i %i %i\r\n',el_rad,el_zB01,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1024  %i %i %i\r\n',el_rad,el_zB01,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1025  %i %i %i\r\n',el_rad,el_zB01,el_zI);

%------------
fprintf(fileID,'MESHING DIVISION BODY B02a   %i %i %i\r\n',el_tan,el_rad,el_zB02);
fprintf(fileID,'MESHING DIVISION BODY B02b   %i %i %i\r\n',el_tan,el_rad,el_zB02);

fprintf(fileID,'MESHING DIVISION BODY BF1005 %i %i %i\r\n',el_zB02,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1007 %i %i %i\r\n',el_zB02,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1004 %i %i %i\r\n',el_zB02,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1006 %i %i %i\r\n',el_zB02,el_radF,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B2018  %i %i %i\r\n',el_rad,el_zB02,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2019  %i %i %i\r\n',el_rad,el_zB02,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2026  %i %i %i\r\n',el_rad,el_zB02,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2027  %i %i %i\r\n',el_rad,el_zB02,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B1018  %i %i %i\r\n',el_rad,el_zB02,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1019  %i %i %i\r\n',el_rad,el_zB02,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1026  %i %i %i\r\n',el_rad,el_zB02,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1027  %i %i %i\r\n',el_rad,el_zB02,el_zI);

%------------
fprintf(fileID,'MESHING DIVISION BODY B10a   %i %i %i\r\n',el_tan,el_rad,el_zB10);
fprintf(fileID,'MESHING DIVISION BODY B10b   %i %i %i\r\n',el_tan,el_rad,el_zB10);

fprintf(fileID,'MESHING DIVISION BODY BF1036 %i %i %i\r\n',el_zB10,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1038 %i %i %i\r\n',el_zB10,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1039 %i %i %i\r\n',el_zB10,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1037 %i %i %i\r\n',el_zB10,el_radF,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B2002  %i %i %i\r\n',el_rad,el_zB10,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2042  %i %i %i\r\n',el_rad,el_zB10,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2043  %i %i %i\r\n',el_rad,el_zB10,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2003  %i %i %i\r\n',el_rad,el_zB10,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B1002  %i %i %i\r\n',el_rad,el_zB10,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1042  %i %i %i\r\n',el_rad,el_zB10,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1043  %i %i %i\r\n',el_rad,el_zB10,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1003  %i %i %i\r\n',el_rad,el_zB10,el_zI);

%------------
fprintf(fileID,'MESHING DIVISION BODY B11a   %i %i %i\r\n',el_tan,el_rad,el_zB11);
fprintf(fileID,'MESHING DIVISION BODY B11b   %i %i %i\r\n',el_tan,el_rad,el_zB11);

fprintf(fileID,'MESHING DIVISION BODY BF1040 %i %i %i\r\n',el_zB11,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1042 %i %i %i\r\n',el_zB11,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1043 %i %i %i\r\n',el_zB11,el_radF,el_zF);
fprintf(fileID,'MESHING DIVISION BODY BF1041 %i %i %i\r\n',el_zB11,el_radF,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B2000  %i %i %i\r\n',el_rad,el_zB11,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2044  %i %i %i\r\n',el_rad,el_zB11,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2045  %i %i %i\r\n',el_rad,el_zB11,el_zF);
fprintf(fileID,'MESHING DIVISION BODY B2001  %i %i %i\r\n',el_rad,el_zB11,el_zF);

fprintf(fileID,'MESHING DIVISION BODY B1000  %i %i %i\r\n',el_rad,el_zB11,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1044  %i %i %i\r\n',el_rad,el_zB11,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1045  %i %i %i\r\n',el_rad,el_zB11,el_zI);
fprintf(fileID,'MESHING DIVISION BODY B1001  %i %i %i\r\n',el_rad,el_zB11,el_zI);

fprintf(fileID,'\r\n');

fprintf(fileID,'! ANGIR ELEMENTTYPE ---------------------------------------------------\r\n');
fprintf(fileID,'MESHING TYPES B_DAM_A %s\r\n',ELT_SOL);
fprintf(fileID,'MESHING TYPES B_DAM_B %s\r\n',ELT_SOL);
fprintf(fileID,'MESHING TYPES B_F %s\r\n',ELT_SOL);
fprintf(fileID,'MESHING TYPES B_F_AB %s\r\n',ELT_SOL);
fprintf(fileID,'MESHING TYPES B_F_Y %s\r\n',ELT_SOL);
fprintf(fileID,'MESHING TYPES INT %s\r\n',ELT_INT);
fprintf(fileID,'MESHING TYPES S_I %s\r\n',ELT_COMP);
for i=0:45
fprintf(fileID,'MESHING TYPES B10%02i %s BASE S10%02i\r\n',i,ELT_INT,i);
end

fprintf(fileID,'MESHING GENERATE S_I\r\n');

fprintf(fileID,'MESHING GENERATE B_B01a\r\n');
fprintf(fileID,'MESHING GENERATE B_B02a\r\n');
fprintf(fileID,'MESHING GENERATE B_B03a\r\n');
fprintf(fileID,'MESHING GENERATE B_B04a\r\n');
fprintf(fileID,'MESHING GENERATE B_B05a\r\n');
fprintf(fileID,'MESHING GENERATE B_B06a\r\n');
fprintf(fileID,'MESHING GENERATE B_B07a\r\n');
fprintf(fileID,'MESHING GENERATE B_B08a\r\n');
fprintf(fileID,'MESHING GENERATE B_B09a\r\n');
fprintf(fileID,'MESHING GENERATE B_B10a\r\n');
fprintf(fileID,'MESHING GENERATE B_B11a\r\n');

fprintf(fileID,'MESHING GENERATE B_DAM_B\r\n');
fprintf(fileID,'MESHING GENERATE INT\r\n');
fprintf(fileID,'MESHING GENERATE B_F\r\n');
fprintf(fileID,'MESHING GENERATE B_F_AB\r\n');
fprintf(fileID,'MESHING GENERATE B_F_Y\r\n');




fprintf(fileID,'\r\n');
                                                                                                                                                                                                                                                                                                       
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!               LASTER                                                \r\n');
fprintf(fileID,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'CONSTRUCT SCURVE SC1 GLOBAL Z LIST 0 %i 43 %i\r\n',p_max,p_min);
fprintf(fileID,'\r\n');

fprintf(fileID,'PROPERTY LOADS GRAVITY LO1 1 B_DAM -10 Z \r\n');
fprintf(fileID,'\r\n');

fprintf(fileID,'PROPERTY LOADS PRESSURE LO2 2 S_B %i NORMAL\r\n',SF_vanntrykk);
fprintf(fileID,'PROPERTY ATTACH LO2 SC1\r\n');
fprintf(fileID,'\r\n');   
    
j=3;
for i=nink-1:-1:1
fprintf(fileID,'PROPERTY LOADS PRESSURE LO%i 2 S%02i%02iVib %i NORMAL\r\n',j,i,i+1,SF_vanntrykk);
fprintf(fileID,'PROPERTY ATTACH LO%i SC1\r\n',j);
j=j+1;
end
fprintf(fileID,'PROPERTY LOADS PRESSURE LO%i 2 S01B %i NORMAL\r\n',j,SF_vanntrykk);
fprintf(fileID,'PROPERTY ATTACH LO%i SC1\r\n',j);
j=j+1;
for i=1:nink-1
fprintf(fileID,'PROPERTY LOADS PRESSURE LO%i 2 S%02i%02iHib %i NORMAL\r\n',j,i,i+1,SF_vanntrykk);
fprintf(fileID,'PROPERTY ATTACH LO%i SC1\r\n',j);
j=j+1;
end
fprintf(fileID,'\r\n');


fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                      RANDBETINGELSER\r\n');
fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'PROPERTY BOUNDARY CONSTRAINT S_FU X Y Z\r\n');
fprintf(fileID,'PROPERTY BOUNDARY CONSTRAINT S_F_SIDE X Y Z\r\n');

fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                      MATERIALER\r\n');
fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'PROPERTY MATERIAL BETONG ELASTIC ISOTROP 30e09 0.2\r\n');
fprintf(fileID,'PROPERTY MATERIAL BETONG MASS DENSITY %i %i\r\n',rho_B35,rho_B35);
fprintf(fileID,'PROPERTY ATTACH B_DAM BETONG\r\n');
fprintf(fileID,'PROPERTY MATERIAL IMA1 ELASTIC INTERFAC 30E12 30E12 30E12\r\n');
fprintf(fileID,'PROPERTY MATERIAL IMA1 STATNONL INTERFAC FRICTION NONE NONE 0.1 1 1\r\n');
fprintf(fileID,'PROPERTY ATTACH INT IMA1\r\n');
fprintf(fileID,'PROPERTY MATERIAL ROCK ELASTIC ISOTROP 60E9 0.2\r\n');
fprintf(fileID,'PROPERTY MATERIAL ROCK MASS DENSITY %i %i\r\n',rho_fjell,rho_fjell);
fprintf(fileID,'PROPERTY ATTACH B_F ROCK\r\n');
fprintf(fileID,'PROPERTY ATTACH B_F_AB ROCK\r\n');
fprintf(fileID,'PROPERTY ATTACH B_F_Y ROCK\r\n');

fprintf(fileID,'PROPERTY MATERIAL BETONG2 ELASTIC ISOTROP 30e09 0.2\r\n');
fprintf(fileID,'PROPERTY MATERIAL BETONG2 MASS DENSITY %i %i\r\n',rho_fjell,rho_fjell);

if HYB == 1 || EKD == 1 || MOD == 1
    for i=2000:2:2020
    fprintf(fileID,'PROPERTY ATTACH B%i BETONG2\r\n',i);
    end
    for i=2024:2:2044
    fprintf(fileID,'PROPERTY ATTACH B%i BETONG2\r\n',i);
    end
    for i=1000:2:1042
    fprintf(fileID,'PROPERTY ATTACH BF%i BETONG2\r\n',i);
    end
    for i=0:3
    fprintf(fileID,'PROPERTY ATTACH BFY100%01i BETONG2\r\n',i);
    end
end



fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                      VISUELLE INSTILLINGER\r\n');
fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!DRAWING VIEWPORT SETUP TWO-HORIZ\r\n');

fprintf(fileID,'!DRAWING VIEWPORT USE 1\r\n');
fprintf(fileID,'EYE FRAME\r\n');
fprintf(fileID,'LABEL GEOMETRY BODIES\r\n');
fprintf(fileID,'LABEL GEOMETRY LOADS ALL VIOLET\r\n');
fprintf(fileID,'LABEL GEOMETRY CONSTRNT ALL RED\r\n');

fprintf(fileID,'!DRAWING VIEWPORT USE 2\r\n');
fprintf(fileID,'CONSTRUCT SHAPE PLANE MDAM X 0\r\n');



fprintf(fileID,'VIEW GEOMETRY ALL\r\n');
fprintf(fileID,'VIEW GEOMETRY +B_F RED\r\n');
fprintf(fileID,'VIEW GEOMETRY +B_DAM BLUE\r\n');
fprintf(fileID,'VIEW GEOMETRY +INT GREEN\r\n');
fprintf(fileID,'LABEL MESH LOADS\r\n');



fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(fileID,'!                      LAGRER G72- OG DAT-fil\r\n');
fprintf(fileID,'!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');

fprintf(fileID,'SAVE; YES\r\n');
fprintf(fileID,'EYE FRAME\r\n');
fprintf(fileID,'UT WRI DI\r\n');
fprintf(fileID,'YES\r\n');



fclose(fileID);

















































%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------
%
%            FORMER TIL SNITTEGNINGER
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------




SHAPE = fopen(SHAPE_filename,'w');

fprintf(SHAPE,'!---------------------------------------------------------\r\n');
fprintf(SHAPE,'! OPPBYGGING AV VERTIKALSNITT\r\n');
fprintf(SHAPE,'!---------------------------------------------------------\r\n');

fprintf(SHAPE,'CONSTRUCT SHAPE PLANE SHAPEMID Y 0\r\n');
for i=1:nink
fprintf(SHAPE,'CONSTRUCT SHAPE PLANE SHAPE%02iv MODEL %12f %12f %12f %12f %12f %12f %12f %12f %12f\r\n',i,G(i,5),0,G(i,1),V_a(i,1),V_a(i,2),V_a(i,3),G(i,5),0,G(i,1)+1);

fprintf(SHAPE,'CONSTRUCT SHAPE PLANE SHAPE%02ih MODEL %12f %12f %12f %12f %12f %12f %12f %12f %12f\r\n',i,G(i,5),0,G(i,1),H_a(i,1),H_a(i,2),H_a(i,3),G(i,5),0,G(i,1)+1);
end
fclose(SHAPE);


DEL_SHAPE = fopen(DEL_SHAPE_filename,'w');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPEMID; YES\r\n');

fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE01v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE02v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE03v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE04v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE05v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE06v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE07v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE08v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE09v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE10v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE11v; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE12v; YES\r\n');

fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE01h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE02h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE03h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE04h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE05h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE06h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE07h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE08h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE09h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE10h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE11h; YES\r\n');
fprintf(DEL_SHAPE,'UTILITY DELETE SHAPE SHAPE12h; YES\r\n');
fclose(DEL_SHAPE);



















































%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------
%
%            DCF-FIL
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------


NONLINdcf = fopen(nonlin_DS_filename,'w');

fprintf(NONLINdcf,'*FILOS\r\n');
fprintf(NONLINdcf,' INITIA\r\n');
fprintf(NONLINdcf,'*INPUT\r\n');
fprintf(NONLINdcf,' READ  FILE "ds_%s.dat"\r\n',ANA(1,1:lANA));
fprintf(NONLINdcf,'READ APPEND FILE="compose_all.dat"\r\n');
fprintf(NONLINdcf,' READ APPEND FILE="bubble.dat"\r\n');
fprintf(NONLINdcf,'*NONLIN\r\n');
fprintf(NONLINdcf,'MODEL  EVALUA compos\r\n');
fprintf(NONLINdcf,' OUTPUT  FILE "DS_%s_res"\r\n',ANA(1,1:lANA));

fprintf(NONLINdcf,' BEGIN EXECUT \r\n');
fprintf(NONLINdcf,'   BEGIN LOAD \r\n');
fprintf(NONLINdcf,'     LOADNR 1\r\n');
fprintf(NONLINdcf,'     BEGIN STEPS \r\n');
fprintf(NONLINdcf,'       BEGIN EXPLIC \r\n');
fprintf(NONLINdcf,'         SIZES 0.1(10)\r\n');
fprintf(NONLINdcf,'       END EXPLIC\r\n');
fprintf(NONLINdcf,'     END STEPS\r\n');
fprintf(NONLINdcf,'   END LOAD\r\n');
fprintf(NONLINdcf,'   BEGIN ITERAT \r\n');
fprintf(NONLINdcf,'     BEGIN CONVER \r\n');
fprintf(NONLINdcf,'       DISPLA  CONTIN\r\n');
fprintf(NONLINdcf,'     END CONVER\r\n');
fprintf(NONLINdcf,'     MAXITE 25\r\n');
fprintf(NONLINdcf,'   END ITERAT\r\n');
fprintf(NONLINdcf,'   STOP  LOAD  TOTAL 1\r\n');
fprintf(NONLINdcf,' END EXECUT\r\n');

fprintf(NONLINdcf,' BEGIN EXECUT \r\n');
fprintf(NONLINdcf,'   BEGIN LOAD\r\n');
fprintf(NONLINdcf,'     LOADNR 2\r\n');
fprintf(NONLINdcf,'     BEGIN STEPS \r\n');
fprintf(NONLINdcf,'       BEGIN EXPLIC \r\n');
fprintf(NONLINdcf,'         SIZES 0.05(20)\r\n');
fprintf(NONLINdcf,'       END EXPLIC\r\n');
fprintf(NONLINdcf,'     END STEPS\r\n');
fprintf(NONLINdcf,'   END LOAD\r\n');
fprintf(NONLINdcf,'   BEGIN ITERAT\r\n'); 
fprintf(NONLINdcf,'     MAXITE 25\r\n');
fprintf(NONLINdcf,'   END ITERAT\r\n');
fprintf(NONLINdcf,'  STOP  LOAD  TOTAL 1\r\n');
fprintf(NONLINdcf,' END EXECUT\r\n');

fprintf(NONLINdcf,' BEGIN OUTPUT \r\n');
fprintf(NONLINdcf,'   FILE "ds_%s"\r\n',ANA(1,1:lANA));
fprintf(NONLINdcf,'   TEXT "Primaries"\r\n');
fprintf(NONLINdcf,' END OUTPUT\r\n');
fprintf(NONLINdcf,' BEGIN OUTPUT \r\n');
fprintf(NONLINdcf,'   APPEND \r\n');
fprintf(NONLINdcf,'   FILE "ds_%s"\r\n',ANA(1,1:lANA));
fprintf(NONLINdcf,'   TEXT "Ekstra"\r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  CAUCHY  PRINCI \r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  CAUCHY  LOCAL  INTPNT\r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  CAUCHY  LOCAL \r\n');
fprintf(NONLINdcf,' END OUTPUT\r\n');
fprintf(NONLINdcf,' BEGIN OUTPUT \r\n');
fprintf(NONLINdcf,'   APPEND \r\n');
fprintf(NONLINdcf,'   FILE "ds_%s_res"\r\n',ANA(1,1:lANA));
fprintf(NONLINdcf,'   TEXT "Ekstra"\r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  CAUCHY  PRINCI \r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  CAUCHY  LOCAL  INTPNT\r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  CAUCHY  LOCAL \r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  DISMOM  LOCAL  INTPNT \r\n');
fprintf(NONLINdcf,'   STRESS  TOTAL  DISFOR  LOCAL  INTPNT \r\n');
fprintf(NONLINdcf,' END OUTPUT\r\n');
fprintf(NONLINdcf,'*INPUT\r\n');
fprintf(NONLINdcf,'  REMAKE FILE=''DS_comp''\r\n');
fprintf(NONLINdcf,':TABLE COMPOSITIONS\r\n');
fprintf(NONLINdcf,'*END\r\n');

fclose(NONLINdcf);









































    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        FIL FOR  TILEGNE BUBBLE FORMULERING I HX24L ELEMENTER                                      
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------
bubble = fopen(bubble_filename,'w');

fprintf(bubble,'DATA\r\n');
fprintf(bubble,'  / B_DAM /  1\r\n');
fprintf(bubble,'  / B_F /  1\r\n');
fprintf(bubble,'  / B_F_AB /  1\r\n');
fprintf(bubble,'''DATA''\r\n');
fprintf(bubble,'  1  NINTEG 2 2 2\r\n');
fprintf(bubble,'     BUBBLE\r\n');

fclose(bubble);





































%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        FIL FOR REDUSERT INTEGRASJON (BENYTTES IKKE)                                      
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------

redint = fopen(redint_filename,'w');

fprintf(redint,'DATA\r\n');
fprintf(redint,'/ B_DAM / 1\r\n');
fprintf(redint,'/ B_F_AB / 1\r\n');
fprintf(redint,'/ B_F / 1\r\n');

fprintf(redint,'''DATA''\r\n');
fprintf(redint,'1 NINTEG 2 2 2\r\n');

fclose(redint);














































%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        DELETE DIANA FILES IN FOLDER                                      
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------

DELbat = fopen(CLEARDIA_filename,'w');
fprintf(DELbat,'    COLOR 8a\r\n');
fprintf(DELbat,'  	DEL ds_%s.TXT\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL ds_%s.G72\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL ds_%s.HIS\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL ds_%s.M72\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL ds_%s.OUT\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL ds_%s.V72\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL ds_%s.FF\r\n',ANA(1,1:lANA));
fprintf(DELbat,'    DEL ds_%s.log\r\n',ANA(1,1:lANA));
fprintf(DELbat,'    DEL ds_%s.str\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL ds_%s.dat\r\n',ANA(1,1:lANA));
fprintf(DELbat,'    DEL DS_%s_RES.V72\r\n',ANA(1,1:lANA));
fprintf(DELbat,'    DEL DS_%s_RES.M72\r\n',ANA(1,1:lANA));
fprintf(DELbat,'	DEL diana.ff\r\n');
fprintf(DELbat,'	DEL femdia.log\r\n');

fclose(DELbat);























































%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        DCF FIL FOR OUTPUT MED COMPOSEELEMENT (BENYTTES IKKE)                                     
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------

ut = fopen(ut_filename,'w');
fprintf(ut,'*FILOS\r\n');
fprintf(ut,'  INITIA\r\n');
fprintf(ut,'*INPUT\r\n');
fprintf(ut,'READ APPEND FILE="compose_all.dat"\r\n');
fprintf(ut,'*LINSTA\r\n');
fprintf(ut,' MODEL  EVALUA compos\r\n');
fprintf(ut,' OUTPUT  FILE "DS_res"\r\n');
fprintf(ut,'*INPUT\r\n');
fprintf(ut,'  REMAKE FILE=''DS_comp''\r\n');
fprintf(ut,':TABLE COMPOSITIONS\r\n');
fprintf(ut,'*END\r\n'); 

fclose(ut);













































%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        OPPBYGGING AV OUTPUT-FIL FOR FEMGEN                                           VO
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------

FTYPE = 'HARDCOPY PNG';
Fext  = '.png';

VO = fopen(VO_filename,'w');

fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                          GENERELLE VISUELLE INSTILLINGER            \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');

fprintf(VO,'UTILITY SETUP COLOUR INVERT\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER SIZECHAR SCALE 2\r\n');
fprintf(VO,'DRAWING CONTENTS MONITOR AUTOMATIC\r\n');
fprintf(VO,'VIEW OPTIONS COLOUR ELEMENTS WHITE\r\n');

fprintf(VO,'\r\n');

STRESSES = 0;
if STRESSES == 1
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!          TABULERING AV SPENNING OG TYNING I INTERFACE-ELEMENTER    \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

fprintf(VO,'RESULTS LOADCASE LC2 %i\r\n',stepALL);
fprintf(VO,'RESULTS ELEMENT EL.SXX.G SXX\r\n');
fprintf(VO,'RESULTS ELEMENT EL.SXX.G +SYY\r\n');
fprintf(VO,'RESULTS ELEMENT EL.SXX.G +SZZ\r\n');
fprintf(VO,'RESULTS ELEMENT EL.SXX.G +SXY\r\n');
fprintf(VO,'RESULTS ELEMENT EL.SXX.G +SYZ\r\n');
fprintf(VO,'RESULTS ELEMENT EL.SXX.G +SZX\r\n');
fprintf(VO,'UTILITY OPTIONS TABULATE HEADERS ON\r\n');

STRESS = ['XX'; 'YY'; 'ZZ'; 'XY'; 'YZ'; 'ZX'];

for i=1:nink-1
    for j=1:length(STRESS)
fprintf(VO,'VIEW MESH B_B%02i\r\n',i);
fprintf(VO,'RESULTS ELEMENT EL.SXX.G S%s\r\n',STRESS(j,:));
fprintf(VO,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\DS\\%s\\STRESSES\\STRESS_B%02i\\S%s_%02i.TXT\r\n',ANA(1,1:lANA),i,STRESS(j,:),i);
fprintf(VO,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(VO,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
    end
end
end

fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                          OVERSIKTSBILDE                             \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

fprintf(VO,'! ISO-VIEW\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE ROTATE CLOCK 90\r\n');
fprintf(VO,'EYE ROTATE DOWN 90\r\n');
fprintf(VO,'EYE ROTATE LEFT 240\r\n');
fprintf(VO,'EYE ROTATE UP 30\r\n');
fprintf(VO,'VIEW MESH ALL\r\n');
fprintf(VO,'VIEW HIDDEN SHADE\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'DRAWING DISPLAY\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_OVERVIEW_ISO%s\r\n',ANA,ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                          DEFORMASJONSPLOT(CONTOUR)                  \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

fprintf(VO,'! STEP\r\n');
fprintf(VO,'RESULTS LOADCASE LC2 %i\r\n',stepALL);

fprintf(VO,'! FRONT-VIEW\r\n');
fprintf(VO,'VIEW MESH B_DAM\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE ROTATE CLOCK 90\r\n');
fprintf(VO,'EYE ROTATE DOWN 90\r\n');
fprintf(VO,'EYE ROTATE LEFT 180\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'VIEW MESH\r\n');
fprintf(VO,'VIEW HIDDEN SHADE\r\n');

fprintf(VO,'! PLASSERING AV MONITOR, AKSER OG LEGEND\r\n');
fprintf(VO,'DRAWING CONTENTS MONITOR POSITION .160043 .297374\r\n');
fprintf(VO,'DRAWING CONTENTS AXES POSITION .514194 .233499\r\n');
fprintf(VO,'DRAWING CONTENTS LEGEND POSITION .811568 .38467\r\n');
fprintf(VO,'PRESENT CONTOUR FROM -.15E-1 TO 0 LEVELS 8\r\n');
fprintf(VO,'! RESULTANTDEFORMASJON\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G RESTDT\r\n');
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'DRAWING DISPLAY\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_RESTDT_FRONT%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'! X-DEFORMASJON\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G TDTX\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G TDTX\r\n');
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'PRESENT CONTOUR FROM -.15E-1 TO 0 LEVELS 8\r\n');
fprintf(VO,'DRAWING DISPLAY\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_TDTX_FRONT%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'! Z-DEFORMASJON\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G TDTZ\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G TDTZ\r\n');
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'PRESENT CONTOUR FROM 0 TO .44E-2 LEVELS 8\r\n');
fprintf(VO,'DRAWING DISPLAY\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_TDTZ_FRONT%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');


fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                      OVERSIKTSPLOT AV SAMTLIGE VERTIKALSNITT            \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

fprintf(VO,'!VENSTRE SIDE\r\n');
fprintf(VO,'VIEW OPTIONS EDGES INHIBIT\r\n');
fprintf(VO,'EYE LOCATE\r\n');
fprintf(VO,'VIEW MESH B_DAM\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'VIEW XSECTION SHAPEMID SHAPE01V SHAPE02V SHAPE03V SHAPE04V SHAPE05V SHAPE06V SHAPE07V SHAPE08V SHAPE09V SHAPE10V SHAPE11V SHAPE12V\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_VERT_SNITT%s\r\n',ANA,ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                          DEFORMASJONSPLOT VERTIKALSNITT            \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

fprintf(VO,'! GENERELLE INSTILLINGER\r\n');
fprintf(VO,'RESULTS LOADCASE LC2 %i\r\n',stepALL);

fprintf(VO,'! GENERELLE INSTILLINGER\r\n');
fprintf(VO,'DRAWING CONTENTS AXES POSITION .2 .15\r\n');
fprintf(VO,'DRAWING CONTENTS MONITOR OFF\r\n');

fprintf(VO,'! MIDHSAPE\r\n');
fprintf(VO,'VIEW XSECTION SHAPEMID\r\n');
fprintf(VO,'EYE NORMAL XSECTION\r\n');
fprintf(VO,'EYE ROTATE LEFT 180\r\n');
fprintf(VO,'EYE LOCATE OFF\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_GEOMETRI%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'! MIDHSAPE\r\n');
fprintf(VO,'VIEW XSECTION SHAPEMID\r\n');
fprintf(VO,'EYE NORMAL XSECTION\r\n');
fprintf(VO,'EYE ROTATE LEFT 180\r\n');
fprintf(VO,'EYE LOCATE OFF\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G RESTDT\r\n');
fprintf(VO,'PRESENT SHAPE\r\n');
fprintf(VO,'PRESENT SHAPE FACTOR 1000\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_RESTDT_MIDSHAPE%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');


for i=1:nink
fprintf(VO,'! SHAPE%02iV\r\n',i);
fprintf(VO,'VIEW XSECTION SHAPE%02iV\r\n',i);
fprintf(VO,'EYE NORMAL XSECTION\r\n');
fprintf(VO,'EYE ROTATE LEFT 180\r\n');
fprintf(VO,'EYE LOCATE OFF\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G RESTDT\r\n');
fprintf(VO,'PRESENT SHAPE\r\n');
fprintf(VO,'PRESENT SHAPE FACTOR 1000\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_RESTDT_SHAPE%02iV%s\r\n',ANA,ANA,i,Fext);
fprintf(VO,'YES\r\n');
end

for i=1:nink
fprintf(VO,'! SHAPE%02i\r\n',i);
fprintf(VO,'VIEW XSECTION SHAPE%02iH\r\n',i);
fprintf(VO,'EYE NORMAL XSECTION\r\n');
fprintf(VO,'EYE ROTATE LEFT 180\r\n');
fprintf(VO,'EYE LOCATE OFF\r\n');
fprintf(VO,'RESULTS NODAL TDTX...G RESTDT\r\n');
fprintf(VO,'PRESENT SHAPE\r\n');
fprintf(VO,'PRESENT SHAPE FACTOR 1000\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_RESTDT_SHAPE%02iH%s\r\n',ANA,ANA,i,Fext);
fprintf(VO,'YES\r\n');
end

fprintf(VO,'DRAWING CONTENTS MONITOR AUTOMATIC\r\n');

fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                          DEFORMASJONSPLOT OVENFRA                 \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

fprintf(VO,'VIEW MESH B_DAM\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'DRAWING CONTENTS MONITOR OFF\r\n');
for i=1:stepLO1
fprintf(VO,'RESULTS LOADCASE LC1 %i\r\n',i);
fprintf(VO,'RESULTS NODAL TDTX...G RESTDT\r\n');
fprintf(VO,'PRESENT SHAPE\r\n');
fprintf(VO,'PRESENT SHAPE FACTOR 3000\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_RESTDT_%i%s\r\n',ANA,ANA,i,Fext);
fprintf(VO,'YES\r\n');
end
for i=stepLO1+1:stepALL
fprintf(VO,'RESULTS LOADCASE LC2 %i\r\n',i);
fprintf(VO,'RESULTS NODAL TDTX...G RESTDT\r\n');
fprintf(VO,'PRESENT SHAPE\r\n');
fprintf(VO,'PRESENT SHAPE FACTOR 3000\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_RESTDT_%i%s\r\n',ANA,ANA,i,Fext);
fprintf(VO,'YES\r\n');
end

fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                          HOVEDSPENNINGSPLOT                         \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

fprintf(VO,'! GENERELLE INSTILLINGER\r\n');
fprintf(VO,'RESULTS LOADCASE LC2 %i\r\n',stepALL);
fprintf(VO,'DRAWING CONTENTS MONITOR POSITION .159333 .290987\r\n');
fprintf(VO,'DRAWING CONTENTS AXES POSITION .514904 .234209\r\n');

fprintf(VO,'! S1 SETT UNDER\r\n');
fprintf(VO,'VIEW MESH B_DAM\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE ROTATE CLOCK 90\r\n');
fprintf(VO,'EYE ROTATE DOWN 180\r\n');
fprintf(VO,'EYE ROTATE CLOCK 180\r\n');
fprintf(VO,'VIEW HIDDEN SHADE\r\n');
fprintf(VO,'RESULTS ELEMENT EL.S1 S1\r\n');
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'PRESENT CONTOUR VALUES 0 10000 100000 1000000 2000000 3000000 4000000 5000000 6000000\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'EYE SHIFT .5 .5 .5 .6\r\n');
fprintf(VO,'DRAWING CONTENTS AXES POSITION .512775 .287438\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_S1_UNDER%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'EYE SHIFT .5 .5 .5 .4\r\n');
fprintf(VO,'EYE ZOOM FACTOR 2.5\r\n');
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'PRESENT CONTOUR VALUES 0 10000 100000 1000000 2000000 3000000 4000000 5000000 6000000\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_S1_UNDER_ZOOM%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'! S1 SETT OPP OG NEDSTRMS\r\n');
fprintf(VO,'VIEW MESH B_DAM\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE ROTATE DOWN 90\r\n');
fprintf(VO,'EYE ROTATE LEFT 90\r\n');
fprintf(VO,'VIEW HIDDEN SHADE\r\n');
fprintf(VO,'RESULTS ELEMENT EL.S1 S1\r\n');
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'PRESENT CONTOUR VALUES 0 10000 100000 1000000 2000000 3000000 4000000 5000000 6000000\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_S1_NED%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'EYE ROTATE LEFT 180\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_S1_OPP%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'! S3 NEDSTRMS, OPPSTRMS OG UNDERSIDEN\r\n');
fprintf(VO,'VIEW MESH B_DAM\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE ROTATE CLOCK 90\r\n');
fprintf(VO,'EYE ROTATE DOWN 90\r\n');
fprintf(VO,'VIEW HIDDEN SHADE\r\n');
fprintf(VO,'RESULTS ELEMENT EL.S1 S3\r\n');
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'PRESENT CONTOUR VALUES 0 -100000 -1000000 -2000000 -3000000 -4000000 -5000000 -6000000 -7000000 -8000000 -9000000 -.1E8\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_S3_NED%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'EYE ROTATE LEFT 180\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_S3_OPP%s\r\n',ANA,Fext);
fprintf(VO,'YES\r\n');

fprintf(VO,'EYE ROTATE DOWN 90\r\n');
fprintf(VO,'EYE SHIFT .5 .5 .5 .6\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_S3_UNDER%s\r\n',ANA,ANA,Fext);
fprintf(VO,'YES\r\n');



%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%..........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        UTTAK AV KREFTER OG MOMENTER I TABELL OG FIGUR
%            
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%..........................................................................................
%------------------------------------------------------------------------------------------


fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'!                          HOVEDSPENNINGSPLOT                         \r\n');
fprintf(VO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(VO,'\r\n');

M_cont = 1e6*[-40  -30   -25   -20   -15    -10     -5  0  1     5     10;
              -6   -4    -1     0.6   3      5       7  0  9     10    14;
              -25  -20   -17   -13   -10    -6      -2  0  2     6     10];
          
N_cont = 1e6*[-20  -17   -14   -11   -8     -6     -0.3  0  3     4     6;
              -4   -3    -2    -1.5  -1     -0.5    0.1  0  0.7   1     2;
              -10  -9    -7    -6    -4     -3     -1.5  0  0.75     1.5   4];

fprintf(VO,'! GENERELLE INSTILLINGER\r\n');
fprintf(VO,'FEMVIEW DS_RES\r\n');
fprintf(VO,'VIEW OPTIONS COLOUR ELEMENTS WHITE\r\n');
fprintf(VO,'RESULTS LOADCASE LC2 %i\r\n',stepALL);

fprintf(VO,'DRAWING CONTENTS MONITOR POSITION .159333 .290987\r\n');
fprintf(VO,'DRAWING CONTENTS AXES POSITION .514904 .234209\r\n');
fprintf(VO,'! S1 SETT OPPSTRMS\r\n');
fprintf(VO,'VIEW MESH S_I\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE ROTATE DOWN 90\r\n');
fprintf(VO,'EYE ROTATE LEFT 90\r\n');
fprintf(VO,'VIEW HIDDEN SHADE\r\n');

K = ['NXX'; 'NYY'; 'NXY'; ];
M = ['MXX'; 'MYY'; 'MXY'; ];
V = ['QXZ'; 'QYZ'; ];

for i=1:length(K)
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',K(i,1:3));
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'PRESENT CONTOUR VALUES %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f \r\n',N_cont(i,1),N_cont(i,2),N_cont(i,3),N_cont(i,4),N_cont(i,5),N_cont(i,6),N_cont(i,7),N_cont(i,8),N_cont(i,9),N_cont(i,10));
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_LO2_%s_OPP%s\r\n',ANA,K(i,1:3),Fext);
fprintf(VO,'YES\r\n');
end

for i=1:length(M)
fprintf(VO,'RESULTS ELEMENT EL.MXX.L %s\r\n',M(i,1:3));
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'PRESENT CONTOUR VALUES %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f \r\n',M_cont(i,1),M_cont(i,2),M_cont(i,3),M_cont(i,4),M_cont(i,5),M_cont(i,6),M_cont(i,7),M_cont(i,8),M_cont(i,9),M_cont(i,10));
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_LO2_%s_NED%s\r\n',ANA,M(i,1:3),Fext);
fprintf(VO,'YES\r\n');
end

for i=1:2
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',V(i,1:3));
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
%fprintf(VO,'PRESENT CONTOUR VALUES %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f \r\n',M_cont(i,1),M_cont(i,2),M_cont(i,3),M_cont(i,4),M_cont(i,5),M_cont(i,6),M_cont(i,7),M_cont(i,8),M_cont(i,9),M_cont(i,10));
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_LO2_%s_NED%s\r\n',ANA,V(i,1:3),Fext);
fprintf(VO,'YES\r\n');
end

fprintf(VO,'UTILITY OPTIONS TABULATE HEADERS OFF\r\n');
for i=1:length(K)
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',K(i,1:3));
fprintf(VO,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\DS\\%s\\TABELLER\\%s_LO2_%s.TXT\r\n',ANA(1,1:lANA),ANA,K(i,1:3));
fprintf(VO,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(VO,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end

for i=1:length(M)
fprintf(VO,'RESULTS ELEMENT EL.MXX.L %s\r\n',M(i,1:3));
fprintf(VO,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\DS\\%s\\TABELLER\\%s_LO2_%s.TXT\r\n',ANA(1,1:lANA),ANA,M(i,1:3));
fprintf(VO,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(VO,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end

for i=1:2
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',V(i,1:3));
fprintf(VO,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\DS\\%s\\TABELLER\\%s_LO2_%s.TXT\r\n',ANA(1,1:lANA),ANA,V(i,1:3));
fprintf(VO,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(VO,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end


% UTTAK AV KREFTER OG MOMENTER ETTER PSATT EGENLAST


fprintf(VO,'RESULTS LOADCASE LC1 %i\r\n',stepLO1);
fprintf(VO,'DRAWING CONTENTS MONITOR POSITION .159333 .290987\r\n');

fprintf(VO,'! S1 SETT OPPSTRMS\r\n');
fprintf(VO,'VIEW MESH S_I\r\n');
fprintf(VO,'EYE ANGLE 0\r\n');
fprintf(VO,'EYE ROTATE DOWN 90\r\n');
fprintf(VO,'EYE ROTATE LEFT 90\r\n');
fprintf(VO,'VIEW HIDDEN SHADE\r\n');

for i=1:length(K)
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',K(i,1:3));
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'PRESENT CONTOUR VALUES %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f \r\n',N_cont(i,1),N_cont(i,2),N_cont(i,3),N_cont(i,4),N_cont(i,5),N_cont(i,6),N_cont(i,7),N_cont(i,8),N_cont(i,9),N_cont(i,10));
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_LO1_%s%s\r\n',ANA,ANA,K(i,1:3),Fext);
fprintf(VO,'YES\r\n');
end

for i=1:length(M)
fprintf(VO,'RESULTS ELEMENT EL.MXX.L %s\r\n',M(i,1:3));
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'PRESENT CONTOUR VALUES %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f %12.0f \r\n',M_cont(i,1),M_cont(i,2),M_cont(i,3),M_cont(i,4),M_cont(i,5),M_cont(i,6),M_cont(i,7),M_cont(i,8),M_cont(i,9),M_cont(i,10));
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_LO1_%s%s\r\n',ANA,ANA,M(i,1:3),Fext);
fprintf(VO,'YES\r\n');
end

for i=1:2
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',V(i,1:3));
fprintf(VO,'PRESENT CONTOUR LEVELS\r\n');
fprintf(VO,'EYE FRAME\r\n');
fprintf(VO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(VO,'PRESENT CONTOUR FROM -1000000 TO 600000 LEVELS 10\r\n');
fprintf(VO,'DRAWING SAVE PLOTFILE C:\\Users\\aleksje\\Dropbox\\Skole\\NTNU\\Fag\\Masteroppgave\\%s_LO2_%s_NED%s\r\n',ANA,V(i,1:3),Fext);
fprintf(VO,'YES\r\n');
end

fprintf(VO,'UTILITY OPTIONS TABULATE HEADERS OFF\r\n');
for i=1:length(K)
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',K(i,1:3));
fprintf(VO,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\DS\\%s\\TABELLER\\%s_LO1_%s.TXT\r\n',ANA(1,1:lANA),ANA,K(i,1:3));
fprintf(VO,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(VO,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end

for i=1:length(M)
fprintf(VO,'RESULTS ELEMENT EL.MXX.L %s\r\n',M(i,1:3));
fprintf(VO,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\DS\\%s\\TABELLER\\%s_LO1_%s.TXT\r\n',ANA(1,1:lANA),ANA,M(i,1:3));
fprintf(VO,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(VO,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end

for i=1:2
fprintf(VO,'RESULTS ELEMENT EL.NXX.L %s\r\n',V(i,1:3));
fprintf(VO,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\DS\\%s\\TABELLER\\%s_LO1_%s.TXT\r\n',ANA(1,1:lANA),ANA,V(i,1:3));
fprintf(VO,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(VO,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end






fprintf(VO,'UTILITY SETUP COLOUR INVERT\r\n');

fclose(VO);



















































%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%..........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%            OPPBYGGING AV OUTPUT-FIL FOR FEMGEN
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%..........................................................................................
%------------------------------------------------------------------------------------------

GO = fopen(GO_filename,'w');


fprintf(GO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(GO,'!                          GENERELLE VISUELLE INSTILLINGER            \r\n');
fprintf(GO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');

fprintf(GO,'UTILITY SETUP COLOUR INVERT\r\n');
fprintf(GO,'UTILITY SETUP PLOTTER SIZECHAR SCALE 2\r\n');

fprintf(GO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(GO,'!                          RANDBETINGELSER                            \r\n');
fprintf(GO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');



fprintf(GO,'! ISO-VIEW\r\n');
fprintf(GO,'EYE ANGLE 0\r\n');
fprintf(GO,'EYE ROTATE CLOCK 90\r\n');
fprintf(GO,'EYE ROTATE DOWN 90\r\n');
fprintf(GO,'EYE ROTATE LEFT 240\r\n');
fprintf(GO,'EYE ROTATE UP 30\r\n');
fprintf(GO,'VIEW HIDDEN SHADE\r\n');
fprintf(GO,'VIEW GEOMETRY S_FU\r\n');
fprintf(GO,'VIEW GEOMETRY +S_F_SIDE\r\n');
fprintf(GO,'EYE FRAME\r\n');
fprintf(GO,'DRAWING DISPLAY\r\n');
fprintf(GO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(GO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_BOUNDARY%s\r\n',ANA,ANA,Fext);
fprintf(GO,'YES\r\n');


fprintf(GO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');
fprintf(GO,'!                          LASTER                                     \r\n');
fprintf(GO,'! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n');

fprintf(GO,'! GRAVITASJON\r\n');
fprintf(GO,'VIEW HIDDEN OFF\r\n');
fprintf(GO,'VIEW MESH B_DAM\r\n');
fprintf(GO,'EYE ANGLE 0\r\n');
fprintf(GO,'EYE ROTATE CLOCK 90\r\n');
fprintf(GO,'EYE ROTATE DOWN 90\r\n');
fprintf(GO,'EYE ROTATE LEFT 90\r\n');
fprintf(GO,'EYE FRAME\r\n');
fprintf(GO,'EYE ZOOM FACTOR 1.7\r\n');
fprintf(GO,'EYE SHIFT XYZ -15\r\n');
fprintf(GO,'LABEL MESH LOADS LO1\r\n');
fprintf(GO,'DRAWING DISPLAY\r\n');
fprintf(GO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(GO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_LO1%s\r\n',ANA,ANA,Fext);
fprintf(GO,'YES\r\n');

fprintf(GO,'! VANNTRYKK OG OPPDRIFT\r\n');
fprintf(GO,'VIEW MESH B_DAM\r\n');
fprintf(GO,'EYE ANGLE 0\r\n');
fprintf(GO,'EYE ROTATE CLOCK 90\r\n');
fprintf(GO,'EYE ROTATE DOWN 90\r\n');
fprintf(GO,'EYE ROTATE LEFT 90\r\n');
fprintf(GO,'EYE FRAME\r\n');
fprintf(GO,'EYE ZOOM FACTOR 1.7\r\n');
fprintf(GO,'EYE SHIFT XYZ -15\r\n');
fprintf(GO,'LABEL MESH LOADS OFF\r\n');
fprintf(GO,'LABEL MESH LOADS ALL\r\n');
fprintf(GO,'DRAWING DISPLAY\r\n');
fprintf(GO,'UTILITY SETUP PLOTTER FORMAT %s\r\n',FTYPE);
fprintf(GO,'DRAWING SAVE PLOTFILE C:\\DIANA\\DS\\%s\\FIGURER\\%s_LO_ALL%s\r\n',ANA,ANA,Fext);
fprintf(GO,'YES\r\n');


fprintf(GO,'UTILITY SETUP COLOUR INVERT\r\n');




fclose(GO);























































































%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        FIL FOR  ANGI EGENSKAPER TIL COMPOSEELEMENTENE                                     
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------



CO      = 13867;
%S_I     = 9349;
%AI      = 10623;
%IB      = 11901;

DAT = fopen(dat_filename,'r');
COORD_           = textscan(DAT,'%f %f %f %f',CO,'HeaderLines',9);
Header_trash2    = textscan(DAT,'%s',2);
CONNECT_S_I_     = textscan(DAT,'%*f %*s %f %f %f %f',1276);
CONNECT_B_DAM_A_ = textscan(DAT,'%*f %*s %f %f %f %f %f %f %f %f',1276);
CONNECT_B_DAM_B_ = textscan(DAT,'%*f %*s %f %f %f %f %f %f %f %f',1276);
fclose(DAT);

COORD            = cell2mat(COORD_);
CONNECT_S_I      = cell2mat(CONNECT_S_I_);
CONNECT_B_DAM_B  = cell2mat(CONNECT_B_DAM_B_);

% ALL -----------------------------------
nnALL = (el_tan+1)*(1+el_zB01+el_zB02+7*el_z+el_zB10+el_zB11);
neALL = el_tan*(el_zB01+el_zB02+7*el_z+el_zB10+el_zB11);
n_tan = el_tan+1;
el_zTOT = el_zB01+el_zB02+7*el_z+el_zB10+el_zB11;
ALL      = zeros(nnALL,2);

k=1;
for i=el_tan:el_tan:neALL
ALL(i+k,1) = CONNECT_B_DAM_B(i,6); %3
ALL(i+k,2) = CONNECT_B_DAM_B(i,7); %2
k=k+1;
end

% Topp dam ytterpunkter
ALL(nnALL,1) = CONNECT_B_DAM_B(neALL,2); %7
ALL(nnALL,2) = CONNECT_B_DAM_B(neALL,3); %6

q=1;
for m=1:n_tan:nnALL-n_tan
for  i=m:m+el_tan-1   
ALL(i,1) = CONNECT_B_DAM_B(q,5); %4
ALL(i,2) = CONNECT_B_DAM_B(q,8); %1
q=q+1;
end
end

%Bunn dam
for i=1:el_tan
ALL(i,1) = CONNECT_B_DAM_B(i,4); %4
ALL(i,2) = CONNECT_B_DAM_B(i,1); %1
end

%Topp dam
q=neALL-n_tan+2;
for i=1321:nnALL-1
ALL(i,1) = CONNECT_B_DAM_B(q,1); %3
ALL(i,2) = CONNECT_B_DAM_B(q,4); %2
q=q+1;
end

ALL(30,1) = CONNECT_B_DAM_B(29,3); %3
ALL(30,2) = CONNECT_B_DAM_B(29,2); %2

DIR_COS  = zeros(neALL,12);

X_cosB01 = zeros(nnALL,1);
Y_cosB01 = zeros(nnALL,1);
Z_cosB01 = zeros(nnALL,1);

coord_i = zeros(nnALL,3);
coord_a = zeros(nnALL,3);

L       = zeros(nnALL,1);

for i=1:nnALL
tmp_i = ALL(i,1);
tmp_a = ALL(i,2);
coord_i(i,1)   = COORD(tmp_i,2);
coord_i(i,2)   = COORD(tmp_i,3);
coord_i(i,3)   = COORD(tmp_i,4);

coord_a(i,1)   = COORD(tmp_a,2);
coord_a(i,2)   = COORD(tmp_a,3);
coord_a(i,3)   = COORD(tmp_a,4);

L(i,1)            = sqrt((coord_a(i,1)-coord_i(i,1))^2+(coord_a(i,2)-coord_i(i,2))^2+(coord_a(i,3)-coord_i(i,3))^2);
X_cosB01(i,1)     = (coord_a(i,1)-coord_i(i,1))/L(i,1);
Y_cosB01(i,1)     = (coord_a(i,2)-coord_i(i,2))/L(i,1);
Z_cosB01(i,1)     = (coord_a(i,3)-coord_i(i,3))/L(i,1);
end

for i = 1:neALL
tmp_1 = CONNECT_S_I(i,1);
tmp_2 = CONNECT_S_I(i,2);
tmp_3 = CONNECT_S_I(i,3);
tmp_4 = CONNECT_S_I(i,4);


DIR_COS(i,1:3)   = [X_cosB01(tmp_1) Y_cosB01(tmp_1) Z_cosB01(tmp_1) ];
DIR_COS(i,4:6)   = [X_cosB01(tmp_2) Y_cosB01(tmp_2) Z_cosB01(tmp_2) ];
DIR_COS(i,7:9)   = [X_cosB01(tmp_3) Y_cosB01(tmp_3) Z_cosB01(tmp_3) ];
DIR_COS(i,10:12) = [X_cosB01(tmp_4) Y_cosB01(tmp_4) Z_cosB01(tmp_4) ];
end

compose_all = fopen(compose_all_filename,'w');

fprintf(compose_all,'''ELEMEN''\r\n');
fprintf(compose_all,'GEOMET\r\n');

for i=1:neALL
fprintf(compose_all,'/ %i / %i\r\n',i,i);
end

fprintf(compose_all,'''GEOMET''\r\n');
for i=1:neALL
fprintf(compose_all,' %2i   THVEC %1.6f %1.6f %1.6g.\r\n',i,DIR_COS(i,1),DIR_COS(i,2),DIR_COS(i,3));
fprintf(compose_all,'             %1.6f %1.6f %1.6g.\r\n',DIR_COS(i,4),DIR_COS(i,5),DIR_COS(i,6));
fprintf(compose_all,'             %1.6f %1.6f %1.6g.\r\n',DIR_COS(i,7),DIR_COS(i,8),DIR_COS(i,9));
fprintf(compose_all,'             %1.6f %1.6f %1.6g.\r\n',DIR_COS(i,10),DIR_COS(i,11),DIR_COS(i,12));
fprintf(compose_all,' %2i   TOLCOM 0.01\r\n',i);
end

fclose(compose_all);




%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%        BEARBEIDING AV COMPOSE RESULTAT-FILER                                       
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------

NXX_LO1 = importdata(NXX_LO1_filename);
NYY_LO1 = importdata(NYY_LO1_filename);
NXY_LO1 = importdata(NXY_LO1_filename);
MXX_LO1 = importdata(MXX_LO1_filename);
MYY_LO1 = importdata(MYY_LO1_filename);
MXY_LO1 = importdata(MXY_LO1_filename);
QXZ_LO1 = importdata(QXZ_LO1_filename);
QYZ_LO1 = importdata(QYZ_LO1_filename);

nKMpt=length(NXX_LO1);

for i=2:4:nKMpt
    NXX_LO1(i:i+2,3) = NXX_LO1(i:i+2,2);
    NYY_LO1(i:i+2,3) = NYY_LO1(i:i+2,2);
    NXY_LO1(i:i+2,3) = NXY_LO1(i:i+2,2);
    MXX_LO1(i:i+2,3) = MXX_LO1(i:i+2,2);
    MYY_LO1(i:i+2,3) = MYY_LO1(i:i+2,2);
    MXY_LO1(i:i+2,3) = MXY_LO1(i:i+2,2);
    QXZ_LO1(i:i+2,3) = QXZ_LO1(i:i+2,2);
    QYZ_LO1(i:i+2,3) = QYZ_LO1(i:i+2,2);
end

KM_LO1 = zeros(1276,9);
KM_LO1(:,1) = 1:1276;
k=1;
for i = 1:4:nKMpt
    KM_LO1(k,2) = mean( NXX_LO1(i:i+3,3) );
    KM_LO1(k,3) = mean( NYY_LO1(i:i+3,3) );
    KM_LO1(k,4) = mean( NXY_LO1(i:i+3,3) );
    KM_LO1(k,5) = mean( MXX_LO1(i:i+3,3) );
    KM_LO1(k,6) = mean( MYY_LO1(i:i+3,3) );
    KM_LO1(k,7) = mean( MXY_LO1(i:i+3,3) );
    KM_LO1(k,8) = mean( QXZ_LO1(i:i+3,3) );
    KM_LO1(k,9) = mean( QYZ_LO1(i:i+3,3) );
    k=k+1;
end









NXX_LO2 = importdata(NXX_LO2_filename);
NYY_LO2 = importdata(NYY_LO2_filename);
NXY_LO2 = importdata(NXY_LO2_filename);
MXX_LO2 = importdata(MXX_LO2_filename);
MYY_LO2 = importdata(MYY_LO2_filename);
MXY_LO2 = importdata(MXY_LO2_filename);
QXZ_LO2 = importdata(QXZ_LO2_filename);
QYZ_LO2 = importdata(QYZ_LO2_filename);

nKMpt=length(NXX_LO2);


for i=2:4:nKMpt
    NXX_LO2(i:i+2,3) = NXX_LO2(i:i+2,2);
    NYY_LO2(i:i+2,3) = NYY_LO2(i:i+2,2);
    NXY_LO2(i:i+2,3) = NXY_LO2(i:i+2,2);
    MXX_LO2(i:i+2,3) = MXX_LO2(i:i+2,2);
    MYY_LO2(i:i+2,3) = MYY_LO2(i:i+2,2);
    MXY_LO2(i:i+2,3) = MXY_LO2(i:i+2,2);
    QXZ_LO2(i:i+2,3) = QXZ_LO2(i:i+2,2);
    QYZ_LO2(i:i+2,3) = QYZ_LO2(i:i+2,2);
end

KM_LO2 = zeros(1276,7);
KM_LO2(:,1) = 1:1276;
k=1;
for i = 1:4:nKMpt
    KM_LO2(k,2) = mean( NXX_LO2(i:i+3,3) );
    KM_LO2(k,3) = mean( NYY_LO2(i:i+3,3) );
    KM_LO2(k,4) = mean( NXY_LO2(i:i+3,3) );
    KM_LO2(k,5) = mean( MXX_LO2(i:i+3,3) );
    KM_LO2(k,6) = mean( MYY_LO2(i:i+3,3) );
    KM_LO2(k,7) = mean( MXY_LO2(i:i+3,3) );
    KM_LO2(k,8) = mean( QXZ_LO2(i:i+3,3) );
    KM_LO2(k,9) = mean( QYZ_LO2(i:i+3,3) );
    k=k+1;
end




%.........................................................................................
%------------------------------------------------------------------------------------------
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
%       BEREGNINGER FOR VALIDERING AV COMPOSE-ELEMENT                                    
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%.........................................................................................
%------------------------------------------------------------------------------------------
 
COMP_NXY = importdata('C:\DIANA\T10\COMP_LO1_NXY.txt');
COMP_MYY = importdata('C:\DIANA\T10\COMP_LO1_MYY.txt');

tc = [3:5:248];

COMP_NXY = COMP_NXY(:,3);
















%end