

clear all
 
COMP_NXY = importdata('C:\DIANA\T10\COMP_LO1_NXY.txt');
COMP_MYY = importdata('C:\DIANA\T10\COMP_LO1_MYY.txt');

% GEOMETRI UTKRAGER
L = 1;                     %Lengde utkrager
b = 0.1;                   %Bredde utkrager
h = 0.1;                   %Dybde utkrager

%RESULTAT FRA DIANA
tc = 1:4:200;
COMP_NXY_ = -COMP_NXY(tc,3)*b*h;
COMP_MYY_ = -COMP_MYY(tc,3)*b*h;


% ANALYTISK LSNING                 
q = 1000*b;                 %N/m
Ay= q*L;                    %Horisontal opplagerkraft
Ma= q*L*L/2;                %Moment i A
z = 0:0.02:1;
V = Ay-q*z;                 %Skjrkraft
M = Ma-Ay*z+q*(z.^2)/2;     %Moment

%PLOT
subplot(1,2,1)
plot(V,z,'r',COMP_NXY_,z(1:50),'b')
legend('Analytisk lsning','Beregnet lsning i DIANA','Location','NorthEast')
title('Skjrkraftdiagram');
xlabel('Kraft [N]');
ylabel('z');

subplot(1,2,2)
plot(M,z,'r',COMP_MYY_,z(1:50),'b')
legend('Analytisk lsning','Beregnet lsning i DIANA','Location','NorthEast')
title('Momentdiagram');
xlabel('Moment [Nm]');
ylabel('z');

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1000 600]/r);
print(gcf,'-dpng',sprintf('-r%d',r),'C:\DIANA\T10\COMP_RES.png');




%%
%------------------------------------------------------------------


K = ['NXX'; 'NYY'; 'NXY'; ];
M = ['MXX'; 'MYY'; 'MXY'; ];


T10 = fopen('C:\DIANA\T10\vo_km.fgc','w');

fprintf(T10,'UTILITY OPTIONS TABULATE HEADERS OFF\r\n');
for i=1:length(K)
fprintf(T10,'RESULTS ELEMENT EL.NXX.L %s\r\n',K(i,1:3));
fprintf(T10,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\T10\\T10_%s.TXT\r\n',K(i,1:3));
fprintf(T10,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(T10,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end

for i=1:length(M)
fprintf(T10,'RESULTS ELEMENT EL.MXX.L %s\r\n',M(i,1:3));
fprintf(T10,'UTILITY TABULATE PRINTFILE OPEN C:\\DIANA\\T10\\T10_%s.TXT\r\n',M(i,1:3));
fprintf(T10,'UTILITY TABULATE RESULTS VIEWMODE\r\n');
fprintf(T10,'UTILITY TABULATE PRINTFILE CLOSE\r\n');
end



fclose(T10);


NXX_LO1 = importdata('C:\DIANA\T10\T10_NXX.txt');
NYY_LO1 = importdata('C:\DIANA\T10\T10_NYY.txt');
NXY_LO1 = importdata('C:\DIANA\T10\T10_NXY.txt');
MXX_LO1 = importdata('C:\DIANA\T10\T10_MXX.txt');
MYY_LO1 = importdata('C:\DIANA\T10\T10_MYY.txt');
MXY_LO1 = importdata('C:\DIANA\T10\T10_MXY.txt');


nKMpt=length(NXX_LO1);

for i=1:4:nKMpt
NXX_LO1(i,1)    = NXX_LO1(i,2);
NYY_LO1(i,1)    = NYY_LO1(i,2);
NXY_LO1(i,1)    = NXY_LO1(i,2);

MXX_LO1(i,1)    = MXX_LO1(i,2);
MYY_LO1(i,1)    = MYY_LO1(i,2);
MXY_LO1(i,1)    = MXY_LO1(i,2);

NXX_LO1(i,2)    = NXX_LO1(i,3);
NYY_LO1(i,2)    = NYY_LO1(i,3);
NXY_LO1(i,2)    = NXY_LO1(i,3);

MXX_LO1(i,2)    = MXX_LO1(i,3);
MYY_LO1(i,2)    = MYY_LO1(i,3);
MXY_LO1(i,2)    = MXY_LO1(i,3);
end

index_KM   = NXX_LO1(:,1);

KM_LO1 = zeros(nKMpt,7);

KM_LO1(:,1) = index_KM; 
KM_LO1(:,2) = NXX_LO1(:,2);
KM_LO1(:,3) = NYY_LO1(:,2);
KM_LO1(:,4) = NXY_LO1(:,2);
KM_LO1(:,5) = MXX_LO1(:,2);
KM_LO1(:,6) = MYY_LO1(:,2);
KM_LO1(:,7) = MXY_LO1(:,2);

KM_LO1 = sortrows(KM_LO1,1);

KM_LO1_n = KM_LO1;

[u] = unique(KM_LO1_n(:,1));
KM_LO1_n = sortrows(KM_LO1_n,1);
r = histc(KM_LO1_n(:,1),u);
 for i = 1:length(u)
     if r(i) ~= 1
            KM_LO1_n(i,2:end) = mean(KM_LO1_n(i:i+r(i)-1,2:end));
            KM_LO1_n(i+1:i+r(i)-1,:) = [];
     end
 end

 
KM_ = KM_LO1_n;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        

%Gjr om krefter og momenter til enheten kN og kNm
KM_(:,2:7) = KM_(:,2:7); 

%Endrer retningen p momenter for  stemme med iterasjonsmetoden
KM_(:,5) = -1*KM_(:,5);           
KM_(:,6) = -1*KM_(:,6);
KM_(:,7) = -1*KM_(:,7);

fck = 35;       %Betongkvalitet
c1  = 30;       %Overdekning vannside
c2  = 30;       %Overdekning luftside

n_noder = length(KM_);

a_start = 1;
a_end   = n_noder;

UR_         = zeros(n_noder,5);
UR_(:,1)    = 1:n_noder;
As_T10         = ones(n_noder,5);
As_T10(:,1)    = 1:n_noder;
epss_       = zeros(n_noder,5);
epss_(:,1)  = 1:n_noder;
sigs_       = zeros(n_noder,5);
sigs_(:,1)  = 1:n_noder;

for a=a_start:a_end
As_i      = [1 1 1 1];
it_count  = 0;

for i=1:1
k=0;
[epss_i,sigs_i,UR_i]=itmet_all2(As_i,KM_(a,:),200,fck,c1,c2);

for j=1:4
    if sigs_i(1,j) > 434
        As_i(1,j)=i*1000;
    else
        k=k+1;
    end
end

epss_(a,2:5) = epss_i;
sigs_(a,2:5) = sigs_i;
As_T10(a,2:5)   = As_i;

it_count     = it_count+1;

if k == 4
    break
end
  
end
disp(a);
end
%%
Asc_x1 = As_T10(:,2);
Asc_y1 = As_T10(:,3);
Asc_x2 = As_T10(:,4);
Asc_y2 = As_T10(:,5);

COORD = importdata('C:\DIANA\T10\coord_t10.txt');

X= COORD(:,4);
Y= COORD(:,3);

%Plot
%mycmap = get(Hor,'Colormap');
%save('C:\MATLAB\MyColormaps','mycmap')
load('C:\MATLAB\MyColormaps','mycmap')
s_f = 50;

Hor=figure(1);
subplot(2,1,1)
c=Asc_x2;
s=Asc_x2./s_f;
scatter(X,Y,s,c,'fill')
cb=colorbar;
set(Hor,'Colormap',mycmap)
set(cb,'YTick',[0:1000:5000 7500 10000 12500 15000])
title('Horisontal lengdearmering oppstrms')

subplot(2,1,2)
c=Asc_x1;
s=Asc_x1./s_f;
scatter(X,Y,s,c,'fill')
cb=colorbar;
set(Hor,'Colormap',mycmap)
set(cb,'YTick',[0:1000:5000 7500 10000 12500 15000])
title('Horisontal lengdearmering nedstrms')

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1200 800]/r);
Hor_printfilename = ['C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\T10__hor.png'];
print(gcf,'-dpng',sprintf('-r%d',r),Hor_printfilename);


%...

Vert=figure(2);
subplot(2,1,1)
c=Asc_y2;
s=Asc_y2./s_f;
scatter(X,Y,s,c,'fill')
cb=colorbar;
set(Vert,'Colormap',mycmap)
set(cb,'YTick',[0:1000:5000 7500 10000 12500 15000])
title('Vertikal lengdearmering oppstrms')

subplot(2,1,2)
c=Asc_y1;
s=Asc_y1./s_f;
scatter(X,Y,s,c,'fill')
cb=colorbar;
set(cb,'YTick',[0:1000:5000 7500 10000 12500 15000])
title('Vertikal lengdearmering nedstrms')

r = 150; % pixels per inch
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 12)
set(gcf, 'PaperUnits', 'inches', 'PaperPosition', [0 0 1200 800]/r);
Vert_printfilename = ['C:\Users\aleksje\Dropbox\Skole\NTNU\Fag\Masteroppgave\Latex files\T10__vert.png'];
print(gcf,'-dpng',sprintf('-r%d',r),Vert_printfilename);


